#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x38b066d7, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x4b643f3a, "");
SYMBOL_CRC(__bcma_driver_register, 0x4dae0546, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0xd5703344, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x79998366, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0xebb7721c, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x76677f70, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0xbce0b137, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x91dc7576, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x469ac643, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x52a0fd7f, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x7fc1d40a, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x71597217, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x727b796c, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0xf974cd25, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x61f1be86, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xb81390ad, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x4b0030ea, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x7a686879, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x5654f8ca, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x3140503f, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0xf32a06c7, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x418155d5, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0xf82381c2, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x5e97a2f6, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0xfafe4d57, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x10b1aecd, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xee744251, "dev_set_name" },
	{ 0xdf64b8dc, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa84a2627, "device_unregister" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x8df3cdf0, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xf183002, "device_initialize" },
	{ 0xcbfcb9db, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1713dcca, "get_device" },
	{ 0xaa7a6655, "__dynamic_dev_dbg" },
	{ 0x6a71f931, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbe00dd49, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5226ce90, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1c4be8af, "_dev_info" },
	{ 0x1f68ab1e, "gpiochip_get_data" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x17d18610, "bus_unregister" },
	{ 0x6bf7730, "_dev_err" },
	{ 0xfc351360, "device_add" },
	{ 0xa06740f3, "platform_device_unregister" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0x5b6811c3, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb55f7970, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0x45010da1, "_dev_warn" },
	{ 0x8fc1f08, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0x50a6c3e1, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6e3a7d90, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9bf37246, "platform_device_register_full" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0x6cb4db4e, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x47b64b9b, "pci_disable_device" },
	{ 0xb7f5aa90, "pcie_set_readrq" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0xb2566851, "driver_register" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb7213c5b, "__dev_fwnode" },
	{ 0xe97d7627, "pci_write_config_dword" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0x15639337, "bus_register" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25C521496BAEF4FC1986235");
MODULE_INFO(rhelversion, "9.6");
