#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x7237307b, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x44277aa4, "_gpl");
SYMBOL_CRC(is_root_decoder, 0xa1cda4cd, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x993aa54b, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x285c88ff, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x8590e0dc, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x5007eef4, "_gpl");
SYMBOL_CRC(is_cxl_port, 0xde1c16c4, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x40ebdc89, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x3a1e5111, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0xcc150e69, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0xcaff113f, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0xca9341bd, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xfc7a6436, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x19db8d1e, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x53acdc3a, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xd4bb20cf, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0xbd0d9986, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x5f5da33d, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0xfbca7c1a, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x2af86aec, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0xd3b207a2, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x39c006b2, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x1fa52a95, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x35b1da8c, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x00c68e2e, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xfe0f00df, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x7318a681, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x77e35f92, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x57f2916b, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xd3bd7231, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0xe32e75d1, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x6ba9711a, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x66ab077e, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x8bb5502f, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x7a7d67d0, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0xb4457102, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0xe29a5a7f, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0xa9da368e, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x193241b4, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x1f460efa, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0xe4dc59d1, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x324eec5c, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x52387bf6, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0xd86e7555, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x4d6908b4, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xef69e001, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x37ebd445, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0xa80ddcae, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x7b042814, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xaf57e2f6, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x2e0b3b95, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x45fe84b0, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x5e368f18, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0xa802ab79, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x9b618dcf, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x6dfc0ed1, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0xabb06938, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0x4fcd40e2, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0xfd053e43, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x8b11aef4, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0xb55e6da7, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0xf6986d21, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0x6993d941, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xd2eebf5f, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x28b5776b, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0xce0c5688, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x8d61bdf1, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x18c99e10, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xfc883f2d, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x9535d638, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x71788ad3, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x57abe22f, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x2356c0d8, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x7f3a0d7c, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x04900858, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x5c833922, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0xd9755e56, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0xa16b9ba0, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x54410c33, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x00e62a74, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x9178adad, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xb00fc6b1, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0xd3b9a19a, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x55fd568d, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0xdf12bb07, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x9ae81f8d, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x2b4c19b4, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x69759697, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0xf333f9b2, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x1d20ec18, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5865cd, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc5339917, "ida_alloc_range" },
	{ 0x12aafcd8, "pcie_capability_read_word" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xeeac10af, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x414249fe, "bpf_trace_run4" },
	{ 0xa8dfa7e9, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9b8e5f1b, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc4680fde, "einj_cxl_is_initialized" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xee744251, "dev_set_name" },
	{ 0xa5797734, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x141ef5ca, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x3d25ff60, "cdev_device_del" },
	{ 0x9112039f, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0xa84a2627, "device_unregister" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9e2cbdce, "trace_event_printf" },
	{ 0x1a66761f, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xf183002, "device_initialize" },
	{ 0x6ebc3365, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x42bf9e15, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x81ddc806, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1a23434a, "bpf_trace_run2" },
	{ 0x36173c1d, "phys_to_target_node" },
	{ 0x69831ee6, "event_triggers_call" },
	{ 0xae8ac792, "hmat_update_target_coordinates" },
	{ 0x27d9f9f4, "devm_remove_action" },
	{ 0x9856fd7b, "acpi_node_backed_by_real_pxm" },
	{ 0x1713dcca, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xaa7a6655, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb9eab871, "platform_bus" },
	{ 0x8f5d25f, "dev_driver_string" },
	{ 0x467a4e30, "trace_event_buffer_commit" },
	{ 0xbe00dd49, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa01e7749, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0xbbb10d09, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x5226ce90, "put_device" },
	{ 0x33173e1a, "trace_event_ignore_this_pid" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x45f9694b, "bus_for_each_dev" },
	{ 0x4fd02a29, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x1608292d, "compat_ptr_ioctl" },
	{ 0x16af5262, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5d31c199, "perf_trace_run_bpf_submit" },
	{ 0xaa36d219, "sysfs_update_group" },
	{ 0x17d18610, "bus_unregister" },
	{ 0x6bab9b54, "down_write" },
	{ 0x8060d575, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x6bf7730, "_dev_err" },
	{ 0x4353637c, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xb506b48c, "debugfs_create_bool" },
	{ 0xccf79d62, "bus_find_device" },
	{ 0xfc351360, "device_add" },
	{ 0x1153dcb6, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x6b30f70e, "simple_attr_release" },
	{ 0xece03ca7, "xa_load" },
	{ 0xc5eae711, "noop_llseek" },
	{ 0x5cf4ffb5, "bpf_trace_run5" },
	{ 0x8d55fc05, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0xf098f601, "kernfs_find_and_get_ns" },
	{ 0xd52e0c38, "debugfs_remove" },
	{ 0x182f8a0a, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x9b01f29b, "trace_event_reg" },
	{ 0x17d65626, "ida_free" },
	{ 0x5b6811c3, "driver_unregister" },
	{ 0x10f1b5f2, "pcie_link_speed_mbps" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1765d06d, "device_find_child" },
	{ 0x2bba59d8, "mutex_lock_interruptible" },
	{ 0x94e0b81a, "devm_release_action" },
	{ 0x5eb60c14, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x492778c7, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x45010da1, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x381fc300, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6cc86cc3, "down_read" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0xd8285df9, "__xa_insert" },
	{ 0x48b54426, "xa_erase" },
	{ 0xa48eb383, "bpf_trace_run3" },
	{ 0xe79e6e53, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5816b9f9, "debugfs_create_file" },
	{ 0x8eec594, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x766a8afd, "trace_event_buffer_reserve" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0x6b654f34, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x3603c4a5, "einj_cxl_available_error_type_show" },
	{ 0xd091cc17, "xa_destroy" },
	{ 0xf029d9d9, "xa_find" },
	{ 0x2cdde7df, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x5651e013, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x229b6c1b, "seq_printf" },
	{ 0xd00da475, "device_match_name" },
	{ 0xcadee9f6, "einj_cxl_inject_error" },
	{ 0xc34703b2, "einj_cxl_inject_rch_error" },
	{ 0xb211d1de, "single_release" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x79044214, "pci_walk_bus" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x15af2dc0, "xa_find_after" },
	{ 0xaa42da56, "node_set_perf_attrs" },
	{ 0x8fc7b4c9, "__devm_add_action" },
	{ 0xf66d81cd, "pci_find_dvsec_capability" },
	{ 0x722347fc, "device_find_child_by_name" },
	{ 0x2e4ef8a3, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6a2271c2, "single_open" },
	{ 0x6f4e33fc, "pci_write_config_word" },
	{ 0x1a1cc072, "debugfs_create_dir" },
	{ 0x26c76c0f, "pcie_bandwidth_available" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9688dafb, "up_read" },
	{ 0xb2566851, "driver_register" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xde2bebe, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbceb16a2, "pci_bus_type" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x15639337, "bus_register" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "einj");


MODULE_INFO(srcversion, "105F24BA6ED35A20C83F9F6");
MODULE_INFO(rhelversion, "9.6");
