#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0x253feff5, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0xf59df4ef, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0xc0a0ae05, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0xb355ea0c, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0xe77dff14, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0xa545fb92, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0xef331839, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0x5d3ca966, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0x24eee3f5, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0x5fe86be4, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0x55345eae, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0x68761d2e, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0x7c5b6a7a, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0x20be5dee, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0x9d8097ec, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x2fdd7db6, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0x6657f171, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0x084cb15d, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0x58d160d1, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0x76bae6be, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0x14381753, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0x244e16d6, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0x9805a045, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5a096b8, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x185d46d5, "clear_user_rep_good" },
	{ 0x2f37f963, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3e644c24, "__init_rwsem" },
	{ 0x15f498d3, "misc_deregister" },
	{ 0x52cb8d9a, "iommu_device_claim_dma_owner" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc0774446, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbf454e0, "iommu_group_get" },
	{ 0xe4ed4098, "pin_user_pages_remote" },
	{ 0xf7d3cb2b, "iommu_iova_to_phys" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0xda6c148b, "finish_wait" },
	{ 0xa724f9c, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x75cadd9b, "fget" },
	{ 0x96a93277, "__put_task_struct" },
	{ 0xf4aec605, "__xas_next" },
	{ 0x478f1415, "xas_find" },
	{ 0xb13d47f, "iommu_dev_disable_feature" },
	{ 0xf2d5566c, "unpin_user_pages" },
	{ 0x3ebc6c92, "fd_install" },
	{ 0xc1bfb452, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2a7bae0b, "unpin_user_page_range_dirty_lock" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x6adc78d2, "__account_locked_vm" },
	{ 0xe6bb4a03, "prepare_to_wait_event" },
	{ 0x94ec9ec7, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x8efb564b, "__wake_up" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc767771f, "__tracepoint_mmap_lock_released" },
	{ 0xe5d326b9, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x73a6665c, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xcdaf0e89, "iommu_detach_group_handle" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf6387291, "iommu_detach_group" },
	{ 0x9e2c8531, "iommu_paging_domain_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0e52e56, "clear_user_original" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa144fc73, "iommu_dev_enable_feature" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x54f079af, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x96c07dcd, "fput" },
	{ 0x6bab9b54, "down_write" },
	{ 0x1a678920, "iommu_domain_free" },
	{ 0x4353637c, "up_write" },
	{ 0x4cded3c2, "iommu_get_msi_cookie" },
	{ 0xb52b119d, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x32d449d5, "iommu_unmap" },
	{ 0xece03ca7, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xff1407e7, "xas_load" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0xbecab81f, "clear_user_erms" },
	{ 0xe85c41b6, "iommu_attach_handle_get" },
	{ 0x4a2ed25, "iommu_replace_group_handle" },
	{ 0xace1fe70, "iommu_device_release_dma_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfb578fc5, "memset" },
	{ 0x45010da1, "_dev_warn" },
	{ 0xcb988a1d, "misc_register" },
	{ 0xeef6b6dc, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe81221b2, "__init_waitqueue_head" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0x476554ae, "iommu_put_resv_regions" },
	{ 0x6cc86cc3, "down_read" },
	{ 0x5939fcae, "__mmdrop" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0x49453639, "__xa_cmpxchg" },
	{ 0xcd3ef88e, "nonseekable_open" },
	{ 0x48b54426, "xa_erase" },
	{ 0x9532ed7f, "__mmap_lock_do_trace_start_locking" },
	{ 0xd73d3102, "iommu_get_resv_regions" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc1addea5, "mmput" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0x18a230b7, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xf029d9d9, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0x3c347497, "__tracepoint_mmap_lock_start_locking" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8b781a41, "__mmap_lock_do_trace_released" },
	{ 0x3e682a21, "xa_store" },
	{ 0xa7ae7e02, "set_page_dirty_lock" },
	{ 0xff2857e8, "device_iommu_capable" },
	{ 0x1d9941cc, "xas_nomem" },
	{ 0xd46d982f, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xf0b8cab3, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x70268fb5, "iommu_attach_group_handle" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x15af2dc0, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xc3da792, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0x9688dafb, "up_read" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbceb16a2, "pci_bus_type" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CED0C71DF85C71142FAB765");
MODULE_INFO(rhelversion, "9.6");
