#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0xa4ed64fb, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x934ecde4, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0xf0fe8ce2, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xe79fe63e, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x6a86b6a9, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x718aa18e, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0xffa09b16, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x01ec7298, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0xad1978e9, "_gpl");
SYMBOL_CRC(can_bus_off, 0xb355cb24, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0xcbc2f9d0, "_gpl");
SYMBOL_CRC(free_candev, 0x56f784a4, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x18c6cc84, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x0c5b9aa6, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xa130c05d, "");
SYMBOL_CRC(open_candev, 0xfe0cb83d, "_gpl");
SYMBOL_CRC(close_candev, 0xdf06d17b, "_gpl");
SYMBOL_CRC(register_candev, 0xf43f3029, "_gpl");
SYMBOL_CRC(unregister_candev, 0x7dc425e7, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0xaa158a25, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0xd2e5cd83, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe5f29377, "skb_put" },
	{ 0x156d223a, "gpiod_set_value" },
	{ 0x49862042, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfe8480, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5e6e3ddb, "unregister_netdev" },
	{ 0xb320d33b, "rtnl_link_register" },
	{ 0x3ea00ca3, "netdev_warn" },
	{ 0x8a4d52c2, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x226726d4, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4d6f3ed0, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40a34139, "device_property_read_u32_array" },
	{ 0x82f70aa4, "rtnl_link_unregister" },
	{ 0x17e70d6b, "sk_skb_reason_drop" },
	{ 0xf00a075f, "nla_put" },
	{ 0x552222f4, "register_netdev" },
	{ 0x3d559c02, "free_netdev" },
	{ 0xdf1465ac, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x929e5cbc, "netif_rx" },
	{ 0x23f9ed86, "__netdev_alloc_skb" },
	{ 0x19829ab5, "skb_trim" },
	{ 0x96de8cd, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbf0b147f, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xf8bd4b9, "skb_clone" },
	{ 0x620318eb, "netif_carrier_on" },
	{ 0xeb15537f, "dev_err_probe" },
	{ 0x25f8f273, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x56757804, "skb_clone_tx_timestamp" },
	{ 0x4ca7f66b, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0DA68520596438ADE1ED875");
MODULE_INFO(rhelversion, "9.6");
