#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0xebef9d23, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x33b88e2c, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x2faf8c73, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0xb88043f3, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0xbf3cef66, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x479b3d07, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x828fc0d0, "mdiobus_alloc_size" },
	{ 0x5a5045f5, "__tracepoint_xdp_exception" },
	{ 0x6f61891d, "xsk_tx_completed" },
	{ 0x6c1c9a96, "napi_alloc_skb" },
	{ 0xb0da387a, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3a468fda, "xp_alloc" },
	{ 0x347bb7a2, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8237b789, "bpf_prog_put" },
	{ 0x55d371cb, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc8860598, "xp_dma_map" },
	{ 0xf1cec18f, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9b8e5f1b, "devm_kmalloc" },
	{ 0xd0c03510, "eth_mac_addr" },
	{ 0xe5f29377, "skb_put" },
	{ 0x49862042, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5a28743b, "netdev_update_features" },
	{ 0xfe8480, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x64c65638, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4d7bd323, "hrtimer_try_to_cancel" },
	{ 0x8307af2a, "bpf_warn_invalid_xdp_action" },
	{ 0x5e6e3ddb, "unregister_netdev" },
	{ 0xc4665f43, "xdp_convert_zc_to_xdp_frame" },
	{ 0x63a1ce, "xdp_features_set_redirect_target" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0xa628b8d1, "dma_unmap_page_attrs" },
	{ 0xa8e22cfc, "hrtimer_init" },
	{ 0x64bd4d04, "skb_add_rx_frag" },
	{ 0xf27b5ab0, "get_device_system_crosststamp" },
	{ 0xb544ecd5, "ptp_clock_index" },
	{ 0x7fe85eb3, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x42bf9e15, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xdaff002c, "page_pool_destroy" },
	{ 0xbd4c24af, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3ea00ca3, "netdev_warn" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8efb564b, "__wake_up" },
	{ 0xe0a9bc71, "flow_rule_match_ipv4_addrs" },
	{ 0x37ed95f5, "xdp_rxq_info_unreg_mem_model" },
	{ 0xeb261860, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x226726d4, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f8c1daa, "phylink_limit_mac_speed" },
	{ 0x3d9565a8, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x8f5d25f, "dev_driver_string" },
	{ 0x82c4317, "pinctrl_pm_select_default_state" },
	{ 0xc1ef3073, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xcc2a5652, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x15d8db47, "__pm_runtime_set_status" },
	{ 0x374826b, "dma_map_page_attrs" },
	{ 0x80471500, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab1a51a0, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6fdaaa15, "pm_wakeup_dev_event" },
	{ 0x9a05040c, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x194b46c2, "__napi_schedule" },
	{ 0x728edd20, "pm_runtime_enable" },
	{ 0x5c0d53fb, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x5e649dc9, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xafe984f3, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x402fb4cf, "rt_write_unlock" },
	{ 0x1c4be8af, "_dev_info" },
	{ 0xfc8dc9bd, "xpcs_create_mdiodev" },
	{ 0x8b59b306, "napi_gro_receive" },
	{ 0x3f4b948e, "netif_device_attach" },
	{ 0x9f51fdd3, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xfeff8feb, "netdev_pick_tx" },
	{ 0xb450880d, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x429e10b, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x94ddba22, "xdp_rxq_info_is_reg" },
	{ 0x57448971, "devm_alloc_etherdev_mqs" },
	{ 0x62cb39ba, "flow_block_cb_setup_simple" },
	{ 0xab5e03a0, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x1331e4c, "dev_open" },
	{ 0x44d01930, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x6bf7730, "_dev_err" },
	{ 0x4f9b6882, "xpcs_destroy" },
	{ 0xd27e0f40, "pinctrl_pm_select_sleep_state" },
	{ 0x2815b46c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa594adf6, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24315072, "ptp_clock_register" },
	{ 0x2292165a, "xp_dma_sync_for_cpu_slow" },
	{ 0x2cdaec63, "xsk_tx_peek_desc" },
	{ 0x31687701, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x251c4dca, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xbc128b2d, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xf547959, "dma_alloc_attrs" },
	{ 0xd52e0c38, "debugfs_remove" },
	{ 0x1687e2d5, "napi_enable" },
	{ 0x26732ad4, "xsk_clear_rx_need_wakeup" },
	{ 0x189d030d, "xpcs_get_interfaces" },
	{ 0x87226f8c, "xsk_uses_need_wakeup" },
	{ 0x552222f4, "register_netdev" },
	{ 0x6bdaed5c, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd55ced42, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x960bed7, "phylink_generic_validate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc29c52a5, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x96b744e7, "__SCK__tp_func_xdp_exception" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x94263c88, "netif_tx_wake_queue" },
	{ 0x62391021, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2689b4b9, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x45010da1, "_dev_warn" },
	{ 0xf4a672f2, "flow_rule_match_ports" },
	{ 0xe4e8ac41, "phylink_fwnode_phy_connect" },
	{ 0x7d0cd3db, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x7fd906cd, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x183a7f13, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe9206c02, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe81221b2, "__init_waitqueue_head" },
	{ 0x78419382, "ptp_clock_unregister" },
	{ 0x34165883, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0xda4ede87, "xpcs_get_an_mode" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x96de8cd, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5ce48539, "xdp_return_frame_rx_napi" },
	{ 0x4d9cc266, "netdev_alert" },
	{ 0xe51babd8, "dma_set_coherent_mask" },
	{ 0xe79e6e53, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xd4d3e11b, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0xb2b70e0, "rt_read_lock" },
	{ 0xffae48c6, "debugfs_rename" },
	{ 0x5816b9f9, "debugfs_create_file" },
	{ 0xc7b1273b, "xsk_set_tx_need_wakeup" },
	{ 0x62e9ea2, "dma_free_attrs" },
	{ 0x35145407, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x99b09f62, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb2aced2a, "xp_set_rxq_info" },
	{ 0x1b777907, "flow_rule_match_vlan" },
	{ 0x16f78c9f, "xdp_rxq_info_unreg" },
	{ 0x571c59a7, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x92c051ac, "__xdp_rxq_info_reg" },
	{ 0x57d1c3de, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbf0b147f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x229b6c1b, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xdbe3f30f, "mdiobus_get_phy" },
	{ 0x620318eb, "netif_carrier_on" },
	{ 0xab3ea306, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xe2906e32, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2889b6e5, "hrtimer_cancel" },
	{ 0xd3e9d973, "xp_free" },
	{ 0xb211d1de, "single_release" },
	{ 0xbac5259d, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xeb15537f, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x3956ca57, "xdp_master_redirect" },
	{ 0xdca40a50, "fwnode_handle_put" },
	{ 0x2bd0f6a6, "xp_raw_get_data" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0x7ccd8f71, "napi_schedule_prep" },
	{ 0x60a93a4a, "napi_disable" },
	{ 0x25f8f273, "dev_kfree_skb_any_reason" },
	{ 0x69abe8eb, "eth_header_parse_protocol" },
	{ 0x1a829bc6, "param_ops_int" },
	{ 0x6a2271c2, "single_open" },
	{ 0x57e70bf2, "__pm_runtime_disable" },
	{ 0x1a1cc072, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0x56757804, "skb_clone_tx_timestamp" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0x599c7f6d, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5b683a6c, "ethtool_op_get_ts_info" },
	{ 0xcba10eb3, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb7213c5b, "__dev_fwnode" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0x4ca7f66b, "netdev_info" },
	{ 0x40ca74de, "page_pool_put_unrefed_page" },
	{ 0x55e47f3f, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "2BBB73C3BC82288040E2149");
MODULE_INFO(rhelversion, "9.6");
