#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x64642991, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xa66c74f2, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x51d22530, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xb05eaed7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe1f7189f, "netif_stacked_transfer_operstate" },
	{ 0xf294efa7, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x1cf52c1b, "unregister_netdevice_queue" },
	{ 0x3553c3bb, "netdev_upper_dev_unlink" },
	{ 0xc2f3210a, "__dev_get_by_index" },
	{ 0x46979960, "register_netdevice" },
	{ 0x70c78b92, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8476f1fc, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa6c457db, "dev_uc_sync" },
	{ 0xb607df66, "dev_mc_sync" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x929e5cbc, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xf8bd4b9, "skb_clone" },
	{ 0x4af8ae94, "__dev_forward_skb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfe8480, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x4521ae25, "__dev_queue_xmit" },
	{ 0x8d79ed30, "dev_forward_skb" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x7a124372, "__netif_rx" },
	{ 0xd91717f5, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa98989c3, "netdev_core_stats_alloc" },
	{ 0x1d2d94ad, "passthru_features_check" },
	{ 0xdf620390, "eth_validate_addr" },
	{ 0x817a4e02, "ndo_dflt_fdb_dump" },
	{ 0xc29c52a5, "ethtool_op_get_link" },
	{ 0x421a4b68, "eth_header_parse" },
	{ 0xe7a8e043, "eth_header_cache" },
	{ 0xacec0b06, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb0283776, "ether_setup" },
	{ 0xe41bdab0, "__ethtool_get_link_ksettings" },
	{ 0xc6eef6ae, "ethtool_get_ts_info_by_layer" },
	{ 0x604aab86, "init_net" },
	{ 0x38151976, "generic_hwtstamp_set_lower" },
	{ 0xfaf57366, "generic_hwtstamp_get_lower" },
	{ 0x524a0c18, "dev_mc_del" },
	{ 0xe78a00a1, "dev_uc_del" },
	{ 0xb7b6b14, "dev_mc_add_excl" },
	{ 0x54677274, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x4db5fe13, "vlan_vid_del" },
	{ 0x517ab9da, "vlan_vid_add" },
	{ 0x5e72896a, "dev_set_allmulti" },
	{ 0xf06a327f, "dev_set_promiscuity" },
	{ 0xee9b42fe, "dev_uc_unsync" },
	{ 0x5c9389da, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa3be7527, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x17e70d6b, "sk_skb_reason_drop" },
	{ 0x5b81068c, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0xb320d33b, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x82f70aa4, "rtnl_link_unregister" },
	{ 0xf00a075f, "nla_put" },
	{ 0xa1290aae, "netdev_is_rx_handler_busy" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0x6807fc6, "netdev_rx_handler_register" },
	{ 0xad0d0885, "dev_uc_add" },
	{ 0x35cf02a4, "call_netdevice_notifiers" },
	{ 0x52568e5b, "netif_inherit_tso_max" },
	{ 0x5a28743b, "netdev_update_features" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B4E0CB6A92F8ABF43EAE962");
MODULE_INFO(rhelversion, "9.6");
