#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0x438ba7e6, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_set, 0x03b955fa, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_get, 0x90d6d795, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0xee7a1773, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_get, 0x95d1847b, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_set, 0x6971992a, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_get, 0x1db90d19, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_set, 0x09e763ee, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_get, 0x4f8e9158, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0xdf00043c, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0x514ea772, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x42d5511a, "brcmu_pktq_mlen" },
	{ 0x244fc314, "cfg80211_sched_scan_results" },
	{ 0x4c444cc0, "sdio_retune_hold_now" },
	{ 0xe0f1bae7, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5db4a28c, "usb_alloc_urb" },
	{ 0x74e34815, "sdio_disable_func" },
	{ 0x7bca5154, "cfg80211_mgmt_tx_status_ext" },
	{ 0x347bb7a2, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xa0e4ab61, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2a188e94, "sdio_set_block_size" },
	{ 0x29f77d7c, "is_acpi_device_node" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd1cb6dc3, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x9b8e5f1b, "devm_kmalloc" },
	{ 0x10b1aecd, "pci_enable_device" },
	{ 0xe5f29377, "skb_put" },
	{ 0x89d4dca2, "brcmu_pkt_buf_free_skb" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x5893589d, "sdio_retune_crc_disable" },
	{ 0x5324eed9, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x59812dd5, "firmware_request_nowarn" },
	{ 0xdf8c332c, "platform_driver_unregister" },
	{ 0x51223d72, "sdio_claim_host" },
	{ 0xcb8209de, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5997e36b, "sdio_memcpy_fromio" },
	{ 0xfe8480, "consume_skb" },
	{ 0xe0d731f4, "sdio_register_driver" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x5e6e3ddb, "unregister_netdev" },
	{ 0xc1b05bc0, "cfg80211_remain_on_channel_expired" },
	{ 0x346602e6, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0xda6c148b, "finish_wait" },
	{ 0x77ee80fa, "cfg80211_register_netdevice" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xa628b8d1, "dma_unmap_page_attrs" },
	{ 0xbe477f78, "request_firmware" },
	{ 0x3c52d3ba, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x8df3cdf0, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xff962557, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x8f26704a, "add_wait_queue" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xd536093, "cfg80211_port_authorized" },
	{ 0x68081f84, "brcmu_pktq_init" },
	{ 0x42d43af0, "brcmu_pktq_penq_head" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe6bb4a03, "prepare_to_wait_event" },
	{ 0xf25596a4, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8efb564b, "__wake_up" },
	{ 0xa8e6f7e5, "cfg80211_new_sta" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x65842cff, "cfg80211_disconnected" },
	{ 0xb0283776, "ether_setup" },
	{ 0x6a71f931, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1931ac47, "pskb_expand_head" },
	{ 0x18a44a3d, "wake_up_process" },
	{ 0x8f5d25f, "dev_driver_string" },
	{ 0x1de21e17, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0xcc2a5652, "eth_type_trans" },
	{ 0xbe00dd49, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x374826b, "dma_map_page_attrs" },
	{ 0x4d6f3ed0, "alloc_netdev_mqs" },
	{ 0x1a506e74, "wiphy_new_nm" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x5ea22d0b, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbae0777b, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa8bb7b5e, "sdio_release_irq" },
	{ 0x9f1efc71, "cfg80211_crit_proto_stopped" },
	{ 0x6c41598c, "wiphy_register" },
	{ 0x327a706e, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x4df24b8b, "cfg80211_put_bss" },
	{ 0x35244ae7, "cfg80211_roamed" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x26b1d338, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0x1c4be8af, "_dev_info" },
	{ 0x268bb449, "skb_queue_tail" },
	{ 0x6d659ff3, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9642df8c, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe6471dae, "sdio_set_host_pm_flags" },
	{ 0x528fd200, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xae719265, "sdio_unregister_driver" },
	{ 0xe998ba88, "sdio_readsb" },
	{ 0x3e24ed66, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe2ade79, "pci_enable_msi" },
	{ 0xfddeb056, "efi" },
	{ 0x6bf7730, "_dev_err" },
	{ 0xebd764cf, "device_wakeup_enable" },
	{ 0x60e68ca6, "cfg80211_ibss_joined" },
	{ 0x930831d2, "request_firmware_nowait" },
	{ 0xf74093c5, "simple_open" },
	{ 0x2815b46c, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc2a113a, "add_timer" },
	{ 0x17e70d6b, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x105ec753, "cfg80211_michael_mic_failure" },
	{ 0x2f621f2d, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0x18f44fbf, "skb_push" },
	{ 0xb7694037, "sdio_retune_crc_enable" },
	{ 0xac0bd33e, "brcmu_pktq_flush" },
	{ 0x8eb71fbe, "brcmu_pktq_peek_tail" },
	{ 0xf547959, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x2db96c97, "cfg80211_del_sta_sinfo" },
	{ 0xe9e7a9bd, "sdio_readl" },
	{ 0xdf066e4a, "mmc_set_data_timeout" },
	{ 0xf00a075f, "nla_put" },
	{ 0x552222f4, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c898870, "wiphy_unregister" },
	{ 0x3d559c02, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x90f2bf6c, "kthread_stop" },
	{ 0x9279532d, "eth_platform_get_mac_address" },
	{ 0x9afb8aab, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x94263c88, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x45010da1, "_dev_warn" },
	{ 0xf13a7c41, "brcmu_pktq_pdeq_match" },
	{ 0x76d35473, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x6738e8c8, "sdio_writel" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x8fc1f08, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17a5a088, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xe81221b2, "__init_waitqueue_head" },
	{ 0x5409b695, "__pskb_pull_tail" },
	{ 0x929e5cbc, "netif_rx" },
	{ 0x23f9ed86, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0xa044b9cf, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x19829ab5, "skb_trim" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0xbc1d9652, "skb_unlink" },
	{ 0xcce37c71, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x95e2a5e0, "kthread_create_on_node" },
	{ 0xe252225e, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7c4b4cb, "pm_runtime_forbid" },
	{ 0x5816b9f9, "debugfs_create_file" },
	{ 0x8be961b5, "brcmu_pktq_mdeq" },
	{ 0x59b01c1b, "cfg80211_unregister_wdev" },
	{ 0x69faf490, "pci_pme_capable" },
	{ 0xfbc5793f, "brcmu_pktq_penq" },
	{ 0x62e9ea2, "dma_free_attrs" },
	{ 0xdb8842a5, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0x9b8790, "__platform_driver_probe" },
	{ 0x25cb00eb, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x22e83a33, "usb_autopm_get_interface" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0x8aa0149c, "brcmu_pktq_pdeq_tail" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6e732642, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xb22855d7, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbf0b147f, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x620318eb, "netif_carrier_on" },
	{ 0x7adc4654, "brcmu_pkt_buf_get_skb" },
	{ 0xf2e04210, "mmc_hw_reset" },
	{ 0x41deb2ac, "sdio_retune_release" },
	{ 0xf8b98226, "sdio_claim_irq" },
	{ 0x816e2a20, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x47b64b9b, "pci_disable_device" },
	{ 0x674b3dec, "pci_match_id" },
	{ 0x260fb3fa, "sdio_enable_func" },
	{ 0x56de847, "remove_wait_queue" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7e373cea, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x6095f4d3, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x4989119e, "cfg80211_inform_bss_data" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0x2e4ef8a3, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x25f8f273, "dev_kfree_skb_any_reason" },
	{ 0x1a829bc6, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x5e02fa70, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0xf883c9d9, "wiphy_free" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x241a0431, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe97d7627, "pci_write_config_dword" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xee2e70f4, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6abb842d, "sdio_readb" },
	{ 0x7093c7fb, "sdio_writeb" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211,mmc_core");

MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");
MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "17BCC300BF799C35A8EE7AE");
MODULE_INFO(rhelversion, "9.6");
