#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x0b9a54f4, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0xcb65cad4, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xe12b5d1d, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x7e284722, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0x420b6b0c, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0xd23b7bb6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5339917, "ida_alloc_range" },
	{ 0x3e1234be, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbeb266f2, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe5f29377, "skb_put" },
	{ 0xee744251, "dev_set_name" },
	{ 0xfe8480, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa84a2627, "device_unregister" },
	{ 0x346602e6, "skb_dequeue" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0xda6c148b, "finish_wait" },
	{ 0xb320d33b, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x81ddc806, "device_for_each_child" },
	{ 0xe6bb4a03, "prepare_to_wait_event" },
	{ 0x8efb564b, "__wake_up" },
	{ 0x269cd254, "rtnl_create_link" },
	{ 0x1cf52c1b, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8b4f4793, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4d6f3ed0, "alloc_netdev_mqs" },
	{ 0x6e3ce3b2, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5226ce90, "put_device" },
	{ 0xdbb5c496, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1c4be8af, "_dev_info" },
	{ 0x268bb449, "skb_queue_tail" },
	{ 0x23170a1b, "rtnl_configure_link" },
	{ 0x1608292d, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x82f70aa4, "rtnl_link_unregister" },
	{ 0x604aab86, "init_net" },
	{ 0x2815b46c, "skb_pull" },
	{ 0x17e70d6b, "sk_skb_reason_drop" },
	{ 0xc5eae711, "noop_llseek" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0xd52e0c38, "debugfs_remove" },
	{ 0xf00a075f, "nla_put" },
	{ 0x17d65626, "ida_free" },
	{ 0x3d559c02, "free_netdev" },
	{ 0xb58c717a, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x784e7191, "class_dev_iter_init" },
	{ 0x27b9d26d, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe81221b2, "__init_waitqueue_head" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0x257ce018, "__register_chrdev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x691c369f, "stream_open" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x722347fc, "device_find_child_by_name" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x1a1cc072, "debugfs_create_dir" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0x8a22768d, "class_register" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0xee2e70f4, "skb_queue_head" },
	{ 0x23d9601d, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x46979960, "register_netdevice" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5F523DC18C1E553FB04656D");
MODULE_INFO(rhelversion, "9.6");
