#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x6bc2ea61, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xafa72c80, "nvme_remove_admin_tag_set" },
	{ 0xb1c7cbdd, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc5339917, "ida_alloc_range" },
	{ 0x1c402797, "nvme_uninit_ctrl" },
	{ 0x158a0961, "ida_destroy" },
	{ 0xa4cffb0a, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x49840b19, "nvmf_free_options" },
	{ 0xb396b306, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0xda6c148b, "finish_wait" },
	{ 0x4b32d168, "nvme_stop_keep_alive" },
	{ 0x5d32c910, "blk_mq_complete_request_remote" },
	{ 0xa628b8d1, "dma_unmap_page_attrs" },
	{ 0xb29a5692, "nvme_setup_cmd" },
	{ 0xb061de60, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0xe3817969, "nvme_alloc_admin_tag_set" },
	{ 0xa0c7a2b8, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xe6bb4a03, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xddb01dd3, "nvmf_reg_read32" },
	{ 0x8efb564b, "__wake_up" },
	{ 0xa1cbf57c, "nvme_delete_ctrl" },
	{ 0x1713dcca, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8f5d25f, "dev_driver_string" },
	{ 0x44edcb6c, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x374826b, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x403f15db, "nvme_remove_io_tag_set" },
	{ 0x6dcf26b, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3481972, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x85686bb6, "nvmf_unregister_transport" },
	{ 0xe18e7756, "blkcg_get_fc_appid" },
	{ 0x5226ce90, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xce73e552, "nvme_change_ctrl_state" },
	{ 0x1c4be8af, "_dev_info" },
	{ 0xda25cfda, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9e5db89e, "nvme_alloc_io_tag_set" },
	{ 0x6877687b, "nvme_fail_nonready_command" },
	{ 0x768eade8, "kobject_uevent_env" },
	{ 0x44d01930, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6bf7730, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x852ec31a, "device_create" },
	{ 0x619ce740, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0xbbe433a5, "__blk_rq_map_sg" },
	{ 0x17d65626, "ida_free" },
	{ 0x9ddbd8e4, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb58c717a, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3ea5baa4, "nvmf_connect_admin_queue" },
	{ 0x489d4bdf, "nvme_enable_ctrl" },
	{ 0x6903a1f4, "nvme_unquiesce_admin_queue" },
	{ 0x45010da1, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe81221b2, "__init_waitqueue_head" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8ce4bf20, "nvme_unquiesce_io_queues" },
	{ 0x31a34dbb, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe87eab97, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x47a2d900, "nvmf_should_reconnect" },
	{ 0x99b09f62, "__dma_sync_single_for_device" },
	{ 0x185b6ae0, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf9e89bd7, "device_destroy" },
	{ 0xef4b068d, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x3fb8c602, "nvmf_register_transport" },
	{ 0x620a56ce, "blk_mq_start_request" },
	{ 0x3a35dec8, "nvme_quiesce_io_queues" },
	{ 0xd3c3b167, "blk_mq_tagset_busy_iter" },
	{ 0x337b5066, "nvme_stop_ctrl" },
	{ 0x727aab32, "dma_unmap_sg_attrs" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x32c4030c, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x314ae79b, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xc5113f0f, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x8a22768d, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe536f163, "__nvme_check_ready" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0xad5cdc2, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "F9BA19A3A552B8022628C50");
MODULE_INFO(rhelversion, "9.6");
