#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x5918df18, "");
SYMBOL_CRC(sas_remove_host, 0x63f463ef, "");
SYMBOL_CRC(sas_get_address, 0x42a3d9ee, "");
SYMBOL_CRC(sas_tlr_supported, 0xcd3c5ddd, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x77e9f31a, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x8668ca51, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xb1ab1338, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x1c781bac, "");
SYMBOL_CRC(sas_phy_add, 0x4db551e6, "");
SYMBOL_CRC(sas_phy_free, 0x2a42fdc2, "");
SYMBOL_CRC(sas_phy_delete, 0x9993f0e1, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x6c58fd44, "");
SYMBOL_CRC(sas_port_alloc, 0x0cefb9b7, "");
SYMBOL_CRC(sas_port_alloc_num, 0x66c8cd57, "");
SYMBOL_CRC(sas_port_add, 0xfcb9e5e8, "");
SYMBOL_CRC(sas_port_free, 0x35c228c3, "");
SYMBOL_CRC(sas_port_delete, 0xf1f62d66, "");
SYMBOL_CRC(scsi_is_sas_port, 0x174d84f4, "");
SYMBOL_CRC(sas_port_get_phy, 0x5754924c, "");
SYMBOL_CRC(sas_port_add_phy, 0x9a13d919, "");
SYMBOL_CRC(sas_port_delete_phy, 0xe028c5ff, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x765b04af, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x97233f6a, "");
SYMBOL_CRC(sas_end_device_alloc, 0x00a6f705, "");
SYMBOL_CRC(sas_expander_alloc, 0xc3eec586, "");
SYMBOL_CRC(sas_rphy_add, 0xad5969d2, "");
SYMBOL_CRC(sas_rphy_free, 0xe940463c, "");
SYMBOL_CRC(sas_rphy_delete, 0x4b3b4255, "");
SYMBOL_CRC(sas_rphy_unlink, 0x4a001755, "");
SYMBOL_CRC(sas_rphy_remove, 0x3b84a7e6, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xfc6e0292, "");
SYMBOL_CRC(sas_attach_transport, 0xe9c62087, "");
SYMBOL_CRC(sas_release_transport, 0x5a91fd90, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff66aa95, "attribute_container_register" },
	{ 0x1153dcb6, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9a451628, "dev_printk" },
	{ 0xf2d6685f, "scsi_get_vpd_page" },
	{ 0x1ec5568, "scsi_mode_sense" },
	{ 0xdc8687a2, "attribute_container_unregister" },
	{ 0x30bd2402, "scsi_remove_host" },
	{ 0xc0d69a90, "bsg_remove_queue" },
	{ 0x5b7e388a, "scsi_remove_target" },
	{ 0x7ad19bf2, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x45010da1, "_dev_warn" },
	{ 0x52b44f20, "bsg_job_done" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0xe932b115, "dma_opt_mapping_size" },
	{ 0xf183002, "device_initialize" },
	{ 0xee744251, "dev_set_name" },
	{ 0x59553f1d, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x81ddc806, "device_for_each_child" },
	{ 0x5226ce90, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc351360, "device_add" },
	{ 0x9a1ddd59, "transport_add_device" },
	{ 0xc289664f, "transport_configure_device" },
	{ 0x5eb60c14, "device_del" },
	{ 0x4a8a04f5, "transport_destroy_device" },
	{ 0x1069f197, "transport_remove_device" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0x1713dcca, "get_device" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0x4fd02a29, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b0b466f, "scsi_scan_target" },
	{ 0x4a22dfd5, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x47c3133d, "transport_class_register" },
	{ 0x8d7aa2cd, "transport_class_unregister" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "176C35C46ED21A5F600B01B");
MODULE_INFO(rhelversion, "9.6");
