#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0xd5ba4d79, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x962a410e, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0xd432a383, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0x3208e55a, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0x1d1e6464, "_gpl");
SYMBOL_CRC(vhost_has_work, 0x2e4cfaa1, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0xb0adb76d, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x76222c2e, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0xef3bb7c0, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x03cf3a7c, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0xea28b853, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0x9a1ca09b, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0xcd94564b, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0x39647e95, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x1f99203a, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x0c5d9305, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0xe3cf6853, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x5022ff3d, "");
SYMBOL_CRC(vhost_chr_poll, 0x28152d22, "");
SYMBOL_CRC(vhost_chr_read_iter, 0xc7ca85e5, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0x15954200, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0xcfb66702, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0x18ded200, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0xeaf5c7a7, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x711e6b14, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x59479acf, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x5fca56f3, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x712ff995, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x9cf1cff6, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0xf2fc92ae, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x78f70de4, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x817de769, "_gpl");
SYMBOL_CRC(vhost_signal, 0xd20f67bd, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x891df34b, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x54dad624, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x6fc17b2a, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x9f4fa769, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x746be66b, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x7cb5849c, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0xfcd2e8a4, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x8969e06c, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0xbee870d1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8f26704a, "add_wait_queue" },
	{ 0x56de847, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0x69d69da8, "cgroup_attach_task_all" },
	{ 0xc1addea5, "mmput" },
	{ 0x5939fcae, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0x8efb564b, "__wake_up" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x18a44a3d, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f22870, "unpin_user_pages_dirty_lock" },
	{ 0xf5a096b8, "pin_user_pages_fast" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x73a6665c, "kthread_use_mm" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1000e51, "schedule" },
	{ 0xf0b8cab3, "kthread_unuse_mm" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x96c07dcd, "fput" },
	{ 0x90f2bf6c, "kthread_stop" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x4c2665ea, "iov_iter_init" },
	{ 0xdf2765a9, "_copy_from_iter" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x11a3845a, "iov_iter_revert" },
	{ 0xecdcabd2, "copy_user_generic_unrolled" },
	{ 0x1f199d24, "copy_user_generic_string" },
	{ 0x21271fd0, "copy_user_enhanced_fast_string" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3d270c12, "_copy_to_iter" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0xe81221b2, "__init_waitqueue_head" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x8a887947, "prepare_to_wait" },
	{ 0xda6c148b, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb08c50a3, "get_task_mm" },
	{ 0x95e2a5e0, "kthread_create_on_node" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x96749617, "iov_iter_advance" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb4b4a375, "eventfd_fget" },
	{ 0x1a829bc6, "param_ops_int" },
	{ 0xa5797734, "param_ops_ushort" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.6");
