#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dlm_new_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_release_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_get, "_gpl", "");

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x647d6170, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0xfd706bf7, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0x2d30422d, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0x57880d05, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x90956198, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3e644c24, "__init_rwsem" },
	{ 0x15f498d3, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa9de2ad5, "config_group_init" },
	{ 0xcc592d65, "idr_find" },
	{ 0x774eac43, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7aab5250, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd6a65bad, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0xda6c148b, "finish_wait" },
	{ 0xb5028bc9, "config_item_get" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x6098593b, "kernel_bind" },
	{ 0xc2af95ad, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x10ed237a, "posix_lock_file" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x7772eaea, "kset_unregister" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x42bf9e15, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x8c589110, "kernel_kobj" },
	{ 0x8f26704a, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xadcba772, "__tracepoint_sk_data_ready" },
	{ 0xceaeff8, "call_srcu" },
	{ 0xe6bb4a03, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x8efb564b, "__wake_up" },
	{ 0x592ed4bc, "synchronize_srcu" },
	{ 0x34efad37, "kernel_accept" },
	{ 0x5c130a51, "kernel_recvmsg" },
	{ 0x8e0aeed3, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x669f5be3, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x239eccf, "configfs_unregister_subsystem" },
	{ 0x18a44a3d, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f48371f, "locks_lock_inode_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x60fddf52, "sock_set_sndtimeo" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdbb5c496, "__alloc_skb" },
	{ 0xd63e2f75, "locks_init_lock" },
	{ 0x6e39a907, "kernel_sendpage" },
	{ 0xb35f75a6, "idr_get_next" },
	{ 0x3055e348, "__free_pages" },
	{ 0x402fb4cf, "rt_write_unlock" },
	{ 0xf962aecb, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x760ea40a, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x24ca6c51, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6bab9b54, "down_write" },
	{ 0x604aab86, "init_net" },
	{ 0x4353637c, "up_write" },
	{ 0xf74093c5, "simple_open" },
	{ 0xf6d5d626, "configfs_register_subsystem" },
	{ 0x2d40c07e, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3e87c493, "configfs_remove_default_groups" },
	{ 0xa4b3a58c, "__srcu_read_lock" },
	{ 0xed48872c, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x17e70d6b, "sk_skb_reason_drop" },
	{ 0x895b4984, "netlink_unicast" },
	{ 0xc5eae711, "noop_llseek" },
	{ 0x534148fb, "__SCK__tp_func_sk_data_ready" },
	{ 0xd5b0c480, "config_group_init_type_name" },
	{ 0xad177a52, "kernel_sock_shutdown" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0xa66a5648, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xd52e0c38, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xfccbd8fd, "seq_putc" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf1e046cc, "panic" },
	{ 0x2ecfb55a, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb28224e6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x90f2bf6c, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x80c7231f, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x7523d4db, "idr_destroy" },
	{ 0x77aa8fa4, "default_llseek" },
	{ 0x4b40fea1, "sock_set_reuseaddr" },
	{ 0xfb578fc5, "memset" },
	{ 0xcb988a1d, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe81221b2, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0x6cc86cc3, "down_read" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x95e2a5e0, "kthread_create_on_node" },
	{ 0xe79e6e53, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5e00fa90, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb2b70e0, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5816b9f9, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0x18be6bf4, "config_item_init_type_name" },
	{ 0x1103f5fa, "sock_create_kern" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x3e3ca118, "alloc_pages" },
	{ 0xbf519aad, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x57d1c3de, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x229b6c1b, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8cb8dbfd, "__srcu_read_unlock" },
	{ 0xab3ea306, "rt_write_lock" },
	{ 0xe092c942, "kobject_uevent" },
	{ 0x8cda3428, "sock_release" },
	{ 0x89fd960, "seq_puts" },
	{ 0x56de847, "remove_wait_queue" },
	{ 0xb211d1de, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa387274a, "tcp_sock_set_nodelay" },
	{ 0x6f551723, "seq_open" },
	{ 0x77e961fe, "genl_unregister_family" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x6a2271c2, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x1a1cc072, "debugfs_create_dir" },
	{ 0x6a95fe58, "genl_register_family" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9688dafb, "up_read" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0x968bf610, "sock_bind_add" },
	{ 0x2d56be76, "locks_copy_lock" },
	{ 0xf24ddcdc, "kmem_cache_destroy" },
	{ 0x38ea5a88, "release_sock" },
	{  0x9ed30, "kset_create_and_add" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x903390ea, "kobject_put" },
	{ 0xc0a03108, "sock_set_keepalive" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "483A5B3CBB8424B49C197A1");
MODULE_INFO(rhelversion, "9.6");
