#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x4a2648d0, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xefe550d4, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x087cb0bb, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xb54f2e02, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xe6714f4c, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x499ff175, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xec1a32d5, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xab02dc69, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x48c4042d, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xcfebf62e, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x2238e038, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xd5ea55af, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x099e1a77, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x45621523, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x1878059f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x7060bc59, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x8f07d847, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xf9e60bcf, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x2d3aac57, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xbae34055, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x34df1c91, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x9bd142d9, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xacd21591, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x4acba27a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x745c31ed, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x99f9a6f2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xd8785eb8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0xe132e74f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x0a7ce319, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0xfa9f665b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0xe2eb1a26, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x6d85c3ad, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x59584ec0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x3b5d869d, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xcfa0b7dc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x0ae7b7f1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x3836d77d, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x16225035, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x7c03403f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xb9514804, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xa493ec61, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0xa2fcc910, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x1d50ae6d, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x55f3b44f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x0791d791, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x5e44a451, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xcaf620f9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x114a4ce3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x6dea4963, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x7e141847, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x48ca952b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0xde39298c, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x3e5263b3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0xa61bc0f2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x0dc1e1b8, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x3497135c, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x85636308, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x61cef677, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xbad9ff7d, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xd4f34e92, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xc698aa96, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0xc153899e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0x47e17977, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x70b3d1a8, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x30611dac, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x001ef9ad, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x56a13844, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0xfe010778, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x7c2afc08, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x56f0bdcc, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x117bb71c, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x05f5f414, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x535910ed, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xbf2b6a1e, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x3598419a, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x43de515a, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xfa064100, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xcc38284b, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x83808aae, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x776abe5c, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x8b783ed4, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x613f72cc, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0xbd625f4a, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xf7b4b115, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x1227fa95, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x4de5a6f6, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x2cb53c57, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x5fe078b3, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x1a9cb8b1, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x7dffb6f3, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xfc26fefc, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x253de3c8, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x7304c73a, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xa7860815, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x012d3818, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xdbeb172b, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0x2f02d04e, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x9e171ad3, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x1ae53179, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x5a454bbd, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0xcd216726, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0xf0131868, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x86198791, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0xedd2ae94, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x934e6df4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x77748d03, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xac5dbdc2, "generic_copy_file_range" },
	{ 0x95e02ccb, "svc_generic_rpcbind_set" },
	{ 0xc06237e9, "nfs_clone_server" },
	{ 0xca7ce48e, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x58a0f3f1, "filemap_fdatawrite" },
	{ 0x9c2a6402, "nfs_show_stats" },
	{ 0xc5339917, "ida_alloc_range" },
	{ 0xc3275b04, "nfs_server_remove_lists" },
	{ 0xe8689755, "nfs42_ssc_unregister" },
	{ 0xf58bb63c, "generic_listxattr" },
	{ 0x90956198, "try_module_get" },
	{ 0x4529b35a, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x692c2731, "nfs_writeback_update_inode" },
	{ 0xcc9d818c, "clear_inode" },
	{ 0x350730da, "inode_to_bdi" },
	{ 0x414249fe, "bpf_trace_run4" },
	{ 0x442ac371, "user_destroy" },
	{ 0xcc592d65, "idr_find" },
	{ 0x6cd0d697, "param_ops_uint" },
	{ 0x1dd3cbd6, "user_revoke" },
	{ 0xa7dd6983, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa8edfcc1, "nfs_alloc_client" },
	{ 0xd36254a, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xd62d5e31, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5160988f, "rpc_clnt_probe_trunked_xprts" },
	{ 0xb92aaa8b, "nfs_pageio_reset_read_mds" },
	{ 0x3d0f3d64, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xfb3b2b58, "rpc_shutdown_client" },
	{ 0x575fb99, "svc_bind" },
	{ 0x24650b79, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x16aaf647, "nfs_free_inode" },
	{ 0x53abf1d1, "nfs_access_zap_cache" },
	{ 0xb6fc4f23, "nfs_sb_deactive" },
	{ 0x601f0943, "nfs_wb_all" },
	{ 0x3a5dad85, "generic_file_splice_read" },
	{ 0x7bf80aad, "__break_lease" },
	{ 0xbfb114f3, "nfs_pageio_init_write" },
	{ 0x966af51b, "svc_recv" },
	{ 0x7a69591b, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9088cb14, "xdr_inline_decode" },
	{ 0x5d23ea15, "nfs_pageio_init_read" },
	{ 0x141ef5ca, "trace_raw_output_prep" },
	{ 0xc8584e13, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x3a8437ca, "nfs_init_commit" },
	{ 0x5df90478, "nfs_commitdata_release" },
	{ 0x9112039f, "bpf_trace_run6" },
	{ 0xdeb1f2f5, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa00ba19a, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0x30d36cc6, "nfs_mknod" },
	{ 0xa6ee068f, "nfs_inode_attach_open_context" },
	{ 0xda6c148b, "finish_wait" },
	{ 0xb65f8101, "nfs4_label_alloc" },
	{ 0x60f5e593, "rpc_localaddr" },
	{ 0x43c999a9, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x9e2cbdce, "trace_event_printf" },
	{ 0xccc71d6b, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0xe288ffc9, "idr_replace" },
	{ 0x84b83dbb, "nfs_lock" },
	{ 0x3d0098ad, "unregister_key_type" },
	{ 0x7fffe465, "nfs_client_init_is_complete" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf67a0697, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x8a887947, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x6ebc3365, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x71b3c7ed, "ihold" },
	{ 0x74ff7ef8, "truncate_pagecache_range" },
	{ 0x9bcdfbbf, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x2bb8484c, "invalidate_inode_pages2_range" },
	{ 0x1b31fccc, "nfs_post_op_update_inode" },
	{ 0xa2321273, "svc_exit_thread" },
	{ 0xa0398f5, "iput" },
	{ 0xb27d46c4, "xdr_set_pagelen" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x8829aef6, "nfs_pgio_header_free" },
	{ 0x7a205b78, "nfs_request_add_commit_list_locked" },
	{ 0x8f26704a, "add_wait_queue" },
	{ 0x8146ae26, "logfc" },
	{ 0x927ec4fe, "nfs_pgio_header_alloc" },
	{ 0xd3297055, "__put_devmap_managed_page_refs" },
	{ 0x1c28120b, "iter_file_splice_write" },
	{ 0x8c447b2f, "rpc_pton" },
	{ 0x6ed4222b, "nfs_sb_active" },
	{ 0xbb37de85, "mod_node_page_state" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0xf072a9eb, "rpc_wake_up_queued_task" },
	{ 0x1a23434a, "bpf_trace_run2" },
	{ 0xe6bb4a03, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x465d3073, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xecbe2b08, "rpc_restart_call_prepare" },
	{ 0x69831ee6, "event_triggers_call" },
	{ 0x8efb564b, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8c0959ef, "_copy_from_pages" },
	{ 0xc9039978, "__module_get" },
	{ 0x8e0aeed3, "kmem_cache_create" },
	{ 0xb32e70d, "rpc_task_release_transport" },
	{ 0x4ba5db88, "xdr_page_pos" },
	{ 0xa9ec6fdd, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x2a2fbb04, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x7695fd50, "key_instantiate_and_link" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x24100312, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x75f9cb8, "register_key_type" },
	{ 0x91ecb847, "rpc_sleep_on" },
	{ 0xfcf2d154, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5e9b91ec, "nfs_pageio_resend" },
	{ 0xd661e3b0, "keyring_alloc" },
	{ 0x65c89b50, "vfs_setpos" },
	{ 0xb77c5ee3, "nfs_create" },
	{ 0x7d58bad6, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc8cad320, "__put_cred" },
	{ 0xdd6d4397, "swapcache_mapping" },
	{ 0x687b44eb, "nfs_statfs" },
	{ 0x18a44a3d, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x32152b9a, "rpc_max_bc_payload" },
	{ 0x467a4e30, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xa79f82f, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f48371f, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x5864537d, "nfs_mkdir" },
	{ 0x9128d819, "nfs_revalidate_inode" },
	{ 0xcd13ee0f, "inode_newsize_ok" },
	{ 0xa6ed132a, "nfs_file_mmap" },
	{ 0xf0b9f224, "nfs_get_lock_context" },
	{ 0x29f406a0, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x68471e03, "nfs_set_cache_invalid" },
	{ 0x5ea2d219, "rpc_release_client" },
	{ 0x39a54e36, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x175f3509, "rt_spin_trylock" },
	{ 0xee852dd, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84b02a96, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6c58dbe3, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x33173e1a, "trace_event_ignore_this_pid" },
	{ 0x96cae1d8, "nfs_generic_pgio" },
	{ 0x3b1377ea, "make_kuid" },
	{ 0xeb59cdec, "truncate_inode_pages_final" },
	{ 0xcf28a670, "generic_setlease" },
	{ 0xee7237f7, "xprt_destroy_backchannel" },
	{ 0xe443ad18, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0xf4b94215, "nfs_scan_commit_list" },
	{ 0x797cf9, "xdr_stream_decode_string_dup" },
	{ 0xb88ec863, "nfs_commit_inode" },
	{ 0xd63e2f75, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x6a937e26, "rpc_destroy_pipe_data" },
	{ 0x244f1e51, "nfs_get_client" },
	{ 0x3055e348, "__free_pages" },
	{ 0xf962aecb, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xea4a024f, "nfs_atomic_open" },
	{ 0x3704b48a, "rpc_pipe_generic_upcall" },
	{ 0x6e5be11, "nfs_file_fsync" },
	{ 0x760ea40a, "module_put" },
	{ 0x12840842, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa061dc41, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb888fe67, "nfs_put_lock_context" },
	{ 0xe51d791d, "nfs_rename" },
	{ 0x7918e759, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x45734e6f, "nfs_sysfs_link_rpc_client" },
	{ 0xd8d9d26e, "nfs_put_client" },
	{ 0x7b7c1656, "nfs_show_options" },
	{ 0xc46312fa, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x6d2cfbf9, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x4e786e1c, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xaec36e53, "get_nfs_open_context" },
	{ 0x5d31c199, "perf_trace_run_bpf_submit" },
	{ 0xaa844284, "nfs_clear_verifier_delegated" },
	{ 0x1c94e094, "nfs_sysfs_add_server" },
	{ 0x96c07dcd, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x6bab9b54, "down_write" },
	{ 0xb2bbd44d, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xe8aa32a7, "nfs_do_submount" },
	{ 0x47b1c7de, "vfs_dup_fs_context" },
	{ 0x4353637c, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xafdb20f, "request_key_with_auxdata" },
	{ 0xc1b8493d, "rpc_clone_client_set_auth" },
	{ 0x4eb89bea, "rpc_clone_client" },
	{ 0x4026bf27, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x65f1827f, "nfs_client_init_status" },
	{ 0x2d40c07e, "idr_alloc" },
	{ 0xf0b022f1, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xed48872c, "radix_tree_preloads" },
	{ 0x889df73d, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x12ce79ac, "put_fs_context" },
	{ 0xf36551fc, "nfs_retry_commit" },
	{ 0x770b39c9, "nfs4_dentry_operations" },
	{ 0x322b9b73, "__module_put_and_kthread_exit" },
	{ 0x60628edf, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xa2120563, "nfs_client_for_each_server" },
	{ 0x58211e40, "nfs_clear_inode" },
	{ 0x743d9a53, "rpc_sleep_on_priority" },
	{ 0xf51921f0, "nfs_invalidate_atime" },
	{ 0x5cf4ffb5, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0xbfe67d07, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x7f1f4e7, "nfs_getattr" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0x965484c9, "nfs_pageio_reset_write_mds" },
	{ 0xa66a5648, "kmem_cache_free" },
	{ 0xb54394fb, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0xc97c5b8, "xdr_stream_subsegment" },
	{ 0xa7bd3f61, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xe5551e7, "nfs_fscache_open_file" },
	{ 0xf9d3f045, "from_kgid" },
	{ 0x9b01f29b, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5cc7c53e, "nfs_write_inode" },
	{ 0x929eb602, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x17d65626, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x36bee756, "rpc_wake_up_first" },
	{ 0xc001d394, "alloc_nfs_open_context" },
	{ 0xc25d71f9, "list_lru_add_obj" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x75ef0a2b, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x7ae9e5b0, "nfs_path" },
	{ 0xfd33990d, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb52b7e93, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbc2ab42c, "register_nfs_version" },
	{ 0x11e223bf, "rpc_sleep_on_timeout" },
	{ 0xbe0b5fee, "list_lru_count_one" },
	{ 0x85bcb052, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x16de97ce, "rpc_call_start" },
	{ 0x2f9992f0, "xprt_setup_backchannel" },
	{ 0xfe92435c, "bpf_trace_run1" },
	{ 0x521c7971, "svc_create" },
	{ 0x8fc23ecb, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x894b4af3, "nfs_file_set_open_context" },
	{ 0x7a21fd30, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x4e67970e, "rpc_call_sync" },
	{ 0x92ff07f7, "from_kuid" },
	{ 0x29adf66d, "rpc_put_task_async" },
	{ 0x92fe43d5, "rpc_prepare_reply_pages" },
	{ 0x224fda81, "rpc_queue_upcall" },
	{ 0xdc2e0237, "nfs_free_server" },
	{ 0x65f32573, "fc_mount" },
	{ 0xd2c3bf1c, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0x470a97d7, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x4991da92, "nfs4_fs_type" },
	{ 0x148aec1f, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xd9e60a87, "rpc_delay" },
	{ 0xbb488e94, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5c3634fd, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe81221b2, "__init_waitqueue_head" },
	{ 0x9266f438, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xf702657a, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x97b4481e, "rpc_exit" },
	{ 0x52f810ce, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0x2126198f, "rpc_remove_pipe_dir_object" },
	{ 0x8f231466, "nfs_may_open" },
	{ 0xf8d9de4f, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x1797779b, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6cc86cc3, "down_read" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0x463d83e5, "xdr_reserve_space" },
	{ 0x6aa4215b, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x95e2a5e0, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x85e0cee6, "nfs_rmdir" },
	{ 0xa48eb383, "bpf_trace_run3" },
	{ 0x295c9573, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xee66fd50, "nfs_filemap_write_and_wait_range" },
	{ 0xa1764bec, "rpc_mkpipe_dentry" },
	{ 0x5cf4c48e, "alloc_file_pseudo" },
	{ 0xa3c705df, "rpc_mkpipe_data" },
	{ 0x546fdea8, "rpc_add_pipe_dir_object" },
	{ 0xa9362f2f, "igrab" },
	{ 0x3eb1671d, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x336d591f, "nfs_async_iocounter_wait" },
	{ 0xa79cbcd6, "nfs_file_read" },
	{ 0x766a8afd, "trace_event_buffer_reserve" },
	{ 0xab3ec24d, "nfs_alloc_fattr_with_label" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0xa56e5ea1, "filemap_fdatawait_range" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x6929dfba, "nfs_commitdata_alloc" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7771c293, "nfs_setattr_update_inode" },
	{ 0x92172d9a, "nfs_instantiate" },
	{ 0x1e3bf3cf, "init_user_ns" },
	{ 0xf65aaef6, "rpc_uaddr2sockaddr" },
	{ 0x284d5339, "user_read" },
	{ 0x9583d1d8, "rpc_restart_call" },
	{ 0x8589a2ee, "request_key_tag" },
	{ 0x4e455246, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x3e3ca118, "alloc_pages" },
	{ 0xf6a96e5e, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x5d502c0f, "svc_xprt_destroy_all" },
	{ 0x7990ee36, "generic_key_instantiate" },
	{ 0xd3b4b6fe, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x88a37afc, "nfs_link" },
	{ 0x27453a11, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9f74c4c4, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x9764982a, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f4661b0, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xf650a36c, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x3245b22c, "xdr_stream_move_subsegment" },
	{ 0xb834e51e, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x1654577b, "nfs_post_op_update_inode_force_wcc" },
	{ 0x276ad66d, "nfs_pgheader_init" },
	{ 0xe9e9e97f, "put_nfs_open_context" },
	{ 0x4d81599c, "nfs_show_path" },
	{ 0x95417608, "nfs_show_devname" },
	{ 0x481604ec, "nfs_permission" },
	{ 0xe5996a0c, "nfs_initiate_commit" },
	{ 0x388aedf5, "truncate_inode_pages_range" },
	{ 0x1426e915, "__put_user_ns" },
	{ 0x4e9cd427, "cred_fscmp" },
	{ 0x77eedd01, "rpc_unlink" },
	{ 0x691a6a3e, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xb08fd57b, "proc_dointvec" },
	{ 0x56de847, "remove_wait_queue" },
	{ 0x33bd9a7d, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x7150f669, "node_data" },
	{ 0xe1009c03, "nfs_probe_server" },
	{ 0x216fac78, "nfs_setsecurity" },
	{ 0x57d3a59c, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x5a15561f, "rpc_clnt_test_and_add_xprt" },
	{ 0x8f2aa6af, "file_ra_state_init" },
	{ 0x566daa9f, "nfs_force_lookup_revalidate" },
	{ 0xb633a4f, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xbb6464e8, "rpc_clnt_add_xprt" },
	{ 0x5d6b3d2e, "dget_parent" },
	{ 0x26c8c1cd, "from_kuid_munged" },
	{ 0x2fd84193, "prepare_kernel_cred" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x67d79bee, "nfs_alloc_server" },
	{ 0xa7260b4b, "rpc_call_async" },
	{ 0xe77e280e, "security_dentry_init_security" },
	{ 0xc9bb782f, "filemap_write_and_wait_range" },
	{ 0x5ccbc004, "list_lru_del_obj" },
	{ 0x991207ce, "nfs_server_insert_lists" },
	{ 0xb2bc5ac1, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0x6bad5c9c, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x3303acac, "rpc_init_pipe_dir_object" },
	{ 0x3d66103, "bpf_trace_run7" },
	{ 0xed04e795, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xc3e000f0, "nfs_init_server_rpcclient" },
	{ 0x3401502e, "__mark_inode_dirty" },
	{ 0xf8175b2b, "rpc_set_connect_timeout" },
	{ 0xd8debd14, "rpcauth_create" },
	{ 0xd296768b, "xdr_stream_pos" },
	{ 0x7336b620, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x9688dafb, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0xdd64b25d, "svc_xprt_create" },
	{ 0x8a7a7eb7, "nfs42_ssc_register" },
	{ 0xd9e7d762, "rpc_wait_for_completion_task" },
	{ 0x255d29e4, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x2a4e24a9, "rpc_num_bc_slots" },
	{ 0xf4eb2e09, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc2832512, "rpc_destroy_wait_queue" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0xd63ecc35, "security_inode_listsecurity" },
	{ 0x9040222d, "nfs_fhget" },
	{ 0xfcd9dba, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d56be76, "locks_copy_lock" },
	{ 0xf24ddcdc, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x294088d7, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x296f9279, "nfs_set_verifier" },
	{ 0x4202316f, "proc_dointvec_minmax" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "8DD8B8E67766F45F73E3B88");
MODULE_INFO(rhelversion, "9.6");
