#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x971a1479, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0xd355afe7, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x14c78063, "_gpl");
SYMBOL_CRC(flow_offload_add, 0xde2e74a6, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0xd23f0a4f, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x856c8710, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x7f003e61, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xe200509d, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0xa053c52c, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x9b4a9e00, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0x8a88faac, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x4c07029e, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x27a0d170, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xd5086e03, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x47fcabfd, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x8e89658c, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x23e44e08, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xc5456152, "flow_rule_alloc" },
	{ 0x3e644c24, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x789b87f2, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcb967036, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x22091a55, "neigh_xmit" },
	{ 0x56380734, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x4adae807, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf2da9596, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x2b2bbca9, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1931ac47, "pskb_expand_head" },
	{ 0xf32bc30d, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6bab9b54, "down_write" },
	{ 0x4353637c, "up_write" },
	{ 0x2815b46c, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x26c14207, "dev_get_by_index" },
	{ 0xb072fc8d, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0x29f6b844, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2f05a1a8, "flow_indr_dev_setup_offload" },
	{ 0xd4da592f, "rhashtable_walk_stop" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd41528d9, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xeafdda9, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5409b695, "__pskb_pull_tail" },
	{ 0x1fe81248, "rhashtable_destroy" },
	{ 0x6cc86cc3, "down_read" },
	{ 0x5bb1ec5f, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcf176aba, "rhashtable_insert_slow" },
	{ 0xb2b70e0, "rt_read_lock" },
	{ 0x4521ae25, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xca4f9f78, "ipv4_mtu" },
	{ 0x6a6755ae, "neigh_destroy" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x338c72a3, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x57d1c3de, "rt_read_unlock" },
	{ 0x6bdb0844, "remove_proc_entry" },
	{ 0x97894055, "nf_ct_acct_add" },
	{ 0x229b6c1b, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x39e85300, "dst_release" },
	{ 0xe55f327c, "nf_ct_l4proto_find" },
	{ 0x89fd960, "seq_puts" },
	{ 0x49ed6737, "rhashtable_walk_next" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0xad819995, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x9688dafb, "up_read" },
	{ 0x2e7ca26e, "rhashtable_walk_exit" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "DCF04ED4AAF51C5552BBA3C");
MODULE_INFO(rhelversion, "9.6");
