#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xc8f239a3, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x3ff50a6b, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x552c6919, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x55d9a8e8, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x385adb21, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x818e5d41, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x18df496c, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0xe4a29c8d, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x9b89114e, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x8602c1a4, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x3fd647c4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0xf32bc30d, "register_pernet_subsys" },
	{ 0x229b6c1b, "seq_printf" },
	{ 0x89fd960, "seq_puts" },
	{ 0xd41528d9, "unregister_pernet_subsys" },
	{ 0xd8fdcc60, "nf_register_net_hooks" },
	{ 0x63ff709, "nf_unregister_net_hooks" },
	{ 0xd6be6b0, "skb_ensure_writable" },
	{ 0x338c72a3, "inet_proto_csum_replace4" },
	{ 0x9518f3b8, "ip_route_me_harder" },
	{ 0x1b57a8b5, "ip_local_out" },
	{ 0x17e70d6b, "sk_skb_reason_drop" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0x704898, "nf_ipv6_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcca5fe, "xfrm_lookup" },
	{ 0x877f7214, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf1cec18f, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6bdb0844, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xbc014fc7, "nf_ct_tmpl_alloc" },
	{ 0xe4f42fbd, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x2b2bbca9, "proc_create_net_data" },
	{ 0xb8bf12db, "nf_ct_tmpl_free" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xdbb5c496, "__alloc_skb" },
	{ 0xe5f29377, "skb_put" },
	{ 0x49318eb5, "ipv6_skip_exthdr" },
	{ 0xde1b96ee, "nf_ct_seqadj_init" },
	{ 0xfe8480, "consume_skb" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "246D577FD42568BDE6679A3");
MODULE_INFO(rhelversion, "9.6");
