#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x1c73b285, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xae24246d, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x227eedb8, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x96070e55, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xebc59552, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xfabc6ee8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe4f42fbd, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd919e6a4, "nsh_pop" },
	{ 0x8cf70a23, "nf_conntrack_find_get" },
	{ 0x19681e, "nf_ct_set_timeout" },
	{ 0x45547e5e, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0x90956198, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x55b5997b, "dev_fill_metadata_dst" },
	{ 0x414249fe, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x3be395e1, "nf_ct_handle_fragments" },
	{ 0xd0c03510, "eth_mac_addr" },
	{ 0xe5f29377, "skb_put" },
	{ 0x3704bcc8, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdb23204a, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfe8480, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7c921380, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb76f9fda, "skb_eth_pop" },
	{ 0x141ef5ca, "trace_raw_output_prep" },
	{ 0xf7bbf869, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xd7c35260, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xff1f9d17, "nf_ct_helper" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0x453fb4ed, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x9e2cbdce, "trace_event_printf" },
	{ 0x2ed4e377, "rtnl_delete_link" },
	{ 0xb320d33b, "rtnl_link_register" },
	{ 0xd95c38b4, "nf_connlabels_put" },
	{ 0xc2af95ad, "genlmsg_put" },
	{ 0xe5f30207, "___pskb_trim" },
	{ 0x6ebc3365, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9e734efd, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xf06a327f, "dev_set_promiscuity" },
	{ 0x80fcaeea, "nf_ct_destroy_timeout" },
	{ 0xcf675be3, "nf_ct_add_helper" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa4601c2d, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x37fe6129, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3f696751, "nf_ct_skb_network_trim" },
	{ 0x69831ee6, "event_triggers_call" },
	{ 0x1cf52c1b, "unregister_netdevice_queue" },
	{ 0x8e0aeed3, "kmem_cache_create" },
	{ 0x6409ac80, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0xb0283776, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7f07d9b4, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1931ac47, "pskb_expand_head" },
	{ 0x44ad0aec, "skb_csum_hwoffload_help" },
	{ 0x467a4e30, "trace_event_buffer_commit" },
	{ 0xc1be6d36, "nf_connlabels_replace" },
	{ 0xcc2a5652, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4d6f3ed0, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7e27d422, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xa3be7527, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x33173e1a, "trace_event_ignore_this_pid" },
	{ 0x606ef887, "skb_eth_push" },
	{ 0xbda3a0b7, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xdbb5c496, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xf962aecb, "kmem_cache_alloc" },
	{ 0x49a8bb23, "skb_mpls_pop" },
	{ 0xdc655c19, "skb_vlan_pop" },
	{ 0x370e5f23, "dst_init" },
	{ 0x760ea40a, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0xbe31ea2b, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x82f70aa4, "rtnl_link_unregister" },
	{ 0x5d31c199, "perf_trace_run_bpf_submit" },
	{ 0x604aab86, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x5c75503, "ipv6_stub" },
	{ 0x448759c8, "skb_mpls_update_lse" },
	{ 0x2815b46c, "skb_pull" },
	{ 0x72f0d610, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17e70d6b, "sk_skb_reason_drop" },
	{ 0x895b4984, "netlink_unicast" },
	{ 0x5cf4ffb5, "bpf_trace_run5" },
	{ 0xb072fc8d, "dev_get_by_index_rcu" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0x18f44fbf, "skb_push" },
	{ 0xa66a5648, "kmem_cache_free" },
	{ 0x3553c3bb, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x9b01f29b, "trace_event_reg" },
	{ 0xd6be6b0, "skb_ensure_writable" },
	{ 0x3d559c02, "free_netdev" },
	{ 0x625108b3, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3582067a, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc29c52a5, "ethtool_op_get_link" },
	{ 0x6cd6f17d, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x26df887e, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5409b695, "__pskb_pull_tail" },
	{ 0xa2e9baea, "nf_ct_delete" },
	{ 0x2065f4e9, "nf_conncount_init" },
	{ 0xf5598cd9, "skb_vlan_push" },
	{ 0xfafe0ba4, "dev_get_tstats64" },
	{ 0x929e5cbc, "netif_rx" },
	{ 0x23f9ed86, "__netdev_alloc_skb" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0xa3da4320, "netdev_master_upper_dev_link" },
	{ 0xf92aa19c, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6cc86cc3, "down_read" },
	{ 0x5bb1ec5f, "inet_proto_csum_replace16" },
	{ 0x19829ab5, "skb_trim" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaa2a29ed, "skb_scrub_packet" },
	{ 0x7897d54e, "nf_ct_deliver_cached_events" },
	{ 0xaf563b6b, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x599e270a, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x4521ae25, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x766a8afd, "trace_event_buffer_reserve" },
	{ 0xb4077e67, "__skb_checksum" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x338c72a3, "inet_proto_csum_replace4" },
	{ 0x2bf21b56, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xcab5ce1d, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4d3893ad, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20f7850e, "dev_get_by_name" },
	{ 0xf8bd4b9, "skb_clone" },
	{ 0x8c03ebe7, "metadata_dst_alloc" },
	{ 0x39e85300, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x116bb702, "peernet2id_alloc" },
	{ 0x3a7449eb, "nf_ct_get_tuplepr" },
	{ 0x6807fc6, "netdev_rx_handler_register" },
	{ 0x72ee8be6, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x77e961fe, "genl_unregister_family" },
	{ 0xc6cc4be2, "dev_disable_lro" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x25f8f273, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6a95fe58, "genl_register_family" },
	{ 0xb8bf12db, "nf_ct_tmpl_free" },
	{ 0xcdbfbaef, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2824e34, "__skb_gso_segment" },
	{ 0x9688dafb, "up_read" },
	{ 0xa8de51be, "skb_mpls_push" },
	{ 0x12bcedae, "register_pernet_device" },
	{ 0x2208ded6, "nf_conntrack_in" },
	{ 0x71c74049, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0xd3971290, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf24ddcdc, "kmem_cache_destroy" },
	{ 0x415a928f, "__skb_vlan_pop" },
	{ 0xbc014fc7, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x46979960, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "DFCEEAE1EC4CAC0BF77A489");
MODULE_INFO(rhelversion, "9.6");
