#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xc31b4840, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x4db066d9, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xe0fa2584, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe905ece, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6910ae2e, "sock_queue_rcv_skb_reason" },
	{ 0xb1eb5f71, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x414249fe, "bpf_trace_run4" },
	{ 0xf1cec18f, "skb_copy_bits" },
	{ 0xac113158, "radix_tree_insert" },
	{ 0xe5f29377, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfe8480, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x141ef5ca, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x5e6024b9, "radix_tree_lookup" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0x9e2cbdce, "trace_event_printf" },
	{ 0x6098593b, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x6ebc3365, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xadcba772, "__tracepoint_sk_data_ready" },
	{ 0x69831ee6, "event_triggers_call" },
	{ 0x8efb564b, "__wake_up" },
	{ 0x5c130a51, "kernel_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5e495ba9, "sk_error_report" },
	{ 0x8b4f4793, "skb_queue_purge_reason" },
	{ 0x3dc77e61, "radix_tree_iter_delete" },
	{ 0x467a4e30, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x2f520dfb, "proto_unregister" },
	{ 0x82f14f27, "sock_register" },
	{ 0x11b33220, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x33173e1a, "trace_event_ignore_this_pid" },
	{ 0xdbb5c496, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x402fb4cf, "rt_write_unlock" },
	{ 0xb44940d2, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x54f079af, "__xa_alloc" },
	{ 0xfbfec5e2, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5d31c199, "perf_trace_run_bpf_submit" },
	{ 0x604aab86, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8641797f, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17e70d6b, "sk_skb_reason_drop" },
	{ 0xece03ca7, "xa_load" },
	{ 0x534148fb, "__SCK__tp_func_sk_data_ready" },
	{ 0xc5db237e, "kernel_getsockname" },
	{ 0xe495a7c, "do_wait_intr_irq" },
	{ 0x69773c26, "sk_free" },
	{ 0xc7ed431f, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0x18f44fbf, "skb_push" },
	{ 0x14433993, "sock_no_listen" },
	{ 0x9b01f29b, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb28224e6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe50f914d, "skb_copy_datagram_iter" },
	{ 0x5af4d4b1, "sk_alloc" },
	{ 0x48901939, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x28ac96ea, "sock_no_mmap" },
	{ 0xe81221b2, "__init_waitqueue_head" },
	{ 0xd585276b, "sock_no_sendpage" },
	{ 0x23f9ed86, "__netdev_alloc_skb" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0xd8285df9, "__xa_insert" },
	{ 0x48b54426, "xa_erase" },
	{ 0xa48eb383, "bpf_trace_run3" },
	{ 0x652c06f5, "skb_set_owner_w" },
	{ 0x766a8afd, "trace_event_buffer_reserve" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0x1103f5fa, "sock_create_kern" },
	{ 0xf029d9d9, "xa_find" },
	{ 0xcfb6d0e7, "skb_recv_datagram" },
	{ 0x6defef2e, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3e682a21, "xa_store" },
	{ 0xf8bd4b9, "skb_clone" },
	{ 0xab3ea306, "rt_write_lock" },
	{ 0xdf2765a9, "_copy_from_iter" },
	{ 0x8cda3428, "sock_release" },
	{ 0x93993d02, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x15af2dc0, "xa_find_after" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x11a3845a, "iov_iter_revert" },
	{ 0x701b2912, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0xd9690f97, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0x38ea5a88, "release_sock" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "48BEB303FAF074C19834E70");
MODULE_INFO(rhelversion, "9.6");
