#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x7904b606, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x77f2663b, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x55f9732b, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x3e8a2a42, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xc39e79a8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f6e9251, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xd4f1be6f, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf36201d5, "inet_addr_type_table" },
	{ 0xe343bd9, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xf1cec18f, "skb_copy_bits" },
	{ 0x99304679, "inet_unregister_protosw" },
	{ 0xcc592d65, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe619834c, "sock_wfree" },
	{ 0xe5f29377, "skb_put" },
	{ 0x21d11b7f, "register_net_sysctl" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x355ab6e9, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaa4ffeb2, "ip6_dst_hoplimit" },
	{ 0xfe8480, "consume_skb" },
	{ 0xbda70ad, "inet6_add_offload" },
	{ 0xa199a140, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3fcbc6d7, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x141ef5ca, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x19aae3, "l3mdev_fib_table_by_index" },
	{ 0x90245d52, "udp_sock_create4" },
	{ 0x346602e6, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x22c89f3, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0xda6c148b, "finish_wait" },
	{ 0x35ca86a8, "skb_segment" },
	{ 0x9e2cbdce, "trace_event_printf" },
	{ 0xe8266cd7, "__ip_dev_find" },
	{ 0x4e7809bd, "udp_tunnel6_xmit_skb" },
	{ 0xe31741de, "sock_common_getsockopt" },
	{ 0x76ef5358, "inet_bind" },
	{ 0x62af65aa, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x8a887947, "prepare_to_wait" },
	{ 0x3ebc6c92, "fd_install" },
	{ 0x6ebc3365, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x2f01aaff, "inet_register_protosw" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xebc9d580, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xadcba772, "__tracepoint_sk_data_ready" },
	{ 0x1a23434a, "bpf_trace_run2" },
	{ 0x1ca7223f, "sock_common_setsockopt" },
	{ 0xdef441e8, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8efb564b, "__wake_up" },
	{ 0x69831ee6, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7cd0cbaf, "ip_route_output_flow" },
	{ 0xf2da9596, "rhashtable_walk_enter" },
	{ 0x8e0aeed3, "kmem_cache_create" },
	{ 0x97e58b08, "__sk_mem_schedule" },
	{ 0x37a6e992, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xbd2b5ea2, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2b2bbca9, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x5e495ba9, "sk_error_report" },
	{ 0xf32bc30d, "register_pernet_subsys" },
	{ 0xd98df8b2, "put_cmsg" },
	{ 0x467a4e30, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x7eb04948, "inet_sock_destruct" },
	{ 0x89c6146c, "crypto_destroy_tfm" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x1a70f06c, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe55aaef7, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x2c406380, "inet_getname" },
	{ 0x2f520dfb, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x33173e1a, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xdbb5c496, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x5882427a, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x402fb4cf, "rt_write_unlock" },
	{ 0xf962aecb, "kmem_cache_alloc" },
	{ 0xb44940d2, "proto_register" },
	{ 0xd50655e9, "skb_copy_expand" },
	{ 0x66162ea8, "__wake_up_sync_key" },
	{ 0x5cedf8ab, "__sock_recv_ts_and_drops" },
	{ 0xf0b76c60, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x24ca6c51, "idr_remove" },
	{ 0x78e6cdf9, "inet_ctl_sock_create" },
	{ 0x4e4f382, "inet_ioctl" },
	{ 0xebc2a072, "reuseport_add_sock" },
	{ 0x6a97ee08, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x27eeefd3, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x5dfc695b, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5d31c199, "perf_trace_run_bpf_submit" },
	{ 0x96c07dcd, "fput" },
	{ 0x618fa3d5, "inet_accept" },
	{ 0x604aab86, "init_net" },
	{ 0x462c30cb, "crypto_shash_setkey" },
	{ 0x2815b46c, "skb_pull" },
	{ 0x6158c285, "inet_add_offload" },
	{ 0xed48872c, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x17e70d6b, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x534148fb, "__SCK__tp_func_sk_data_ready" },
	{ 0x680352e, "inet_add_protocol" },
	{ 0xfdb15191, "inet_shutdown" },
	{ 0x69773c26, "sk_free" },
	{ 0xc60ba35, "sock_wake_async" },
	{ 0xb072fc8d, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x4add1a1f, "inet_del_offload" },
	{ 0x18f44fbf, "skb_push" },
	{ 0x6531e384, "__ip_queue_xmit" },
	{ 0xa66a5648, "kmem_cache_free" },
	{ 0x81cbcf98, "__sk_mem_reclaim" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x9676b82c, "proc_doulongvec_minmax" },
	{ 0x9b01f29b, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x29f6b844, "rhashtable_walk_start_check" },
	{ 0x8abf245c, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb28224e6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x5e4f54b4, "inet6_ioctl" },
	{ 0xe50f914d, "skb_copy_datagram_iter" },
	{ 0xd4da592f, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb14a47b8, "idr_alloc_cyclic" },
	{ 0x5af4d4b1, "sk_alloc" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd41528d9, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x40908d98, "ip6_dst_lookup_flow" },
	{ 0x57d90cce, "rhashtable_free_and_destroy" },
	{ 0x48901939, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xeafdda9, "rht_bucket_nested_insert" },
	{ 0x48ed2ad4, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x28ac96ea, "sock_no_mmap" },
	{ 0xe81221b2, "__init_waitqueue_head" },
	{ 0x5409b695, "__pskb_pull_tail" },
	{ 0xd585276b, "sock_no_sendpage" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0x280409e8, "setup_udp_tunnel_sock" },
	{ 0x3acce145, "udp_sock_create6" },
	{ 0x19829ab5, "skb_trim" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x10a8ed38, "sk_common_release" },
	{ 0xa48eb383, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xcf176aba, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xb2b70e0, "rt_read_lock" },
	{ 0x1769359, "inet6_getname" },
	{ 0x65e66827, "sock_i_ino" },
	{ 0x2f12f9ae, "inet6_sock_destruct" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe6fa35ed, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x896399b2, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xca4f9f78, "ipv4_mtu" },
	{ 0x652c06f5, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x766a8afd, "trace_event_buffer_reserve" },
	{ 0xb4077e67, "__skb_checksum" },
	{ 0x7ee3cbc3, "reuseport_alloc" },
	{ 0x533b77e4, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xe8599671, "inet6_release" },
	{ 0x35a6d8bd, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xecd54f1e, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x18a230b7, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x2e9d72cb, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x57d1c3de, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb39cfe6b, "rhltable_init" },
	{ 0x2909ff43, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x229b6c1b, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x8913464b, "proc_create_net_single" },
	{ 0xb2776f7a, "skb_copy" },
	{ 0xf8bd4b9, "skb_clone" },
	{ 0x2e3e9f08, "inet_sk_set_state" },
	{ 0x39e85300, "dst_release" },
	{ 0xab3ea306, "rt_write_lock" },
	{ 0xdf2765a9, "_copy_from_iter" },
	{ 0x8cda3428, "sock_release" },
	{ 0xae8338dc, "inet_recv_error" },
	{ 0xb08fd57b, "proc_dointvec" },
	{ 0x89fd960, "seq_puts" },
	{ 0x93993d02, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0x49ed6737, "rhashtable_walk_next" },
	{ 0xd16bdfa5, "_proc_mkdir" },
	{ 0x468b7caa, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6095f4d3, "send_sig" },
	{ 0xc2689387, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xf83cbb6c, "inet6_add_protocol" },
	{ 0x26c8c1cd, "from_kuid_munged" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x3a24248e, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0xbe333467, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x74321734, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0x305d9689, "reuseport_detach_sock" },
	{ 0xe68cf716, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x11a3845a, "iov_iter_revert" },
	{ 0x122ccd07, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0xad819995, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2e7ca26e, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd9690f97, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0xf24ddcdc, "kmem_cache_destroy" },
	{ 0x38ea5a88, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xee2e70f4, "skb_queue_head" },
	{ 0x4202316f, "proc_dointvec_minmax" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "ipv6,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "14E24BA5AED1BF51B227D4B");
MODULE_INFO(rhelversion, "9.6");
