#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xb49f8935, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xcb91d321, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xb281bfa7, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x6fddbec3, "");
SYMBOL_CRC(gss_mech_put, 0x7af47524, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x89885167, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xb49577b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x77748d03, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x90956198, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xebf9cfb5, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x64a1d85e, "xdr_buf_from_iov" },
	{ 0x414249fe, "bpf_trace_run4" },
	{ 0x52da8445, "xdr_stream_decode_opaque_auth" },
	{ 0x6cd0d697, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3d0f3d64, "xdr_write_pages" },
	{ 0xfb3b2b58, "rpc_shutdown_client" },
	{ 0x2344939d, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9088cb14, "xdr_inline_decode" },
	{ 0x3ea1e4d0, "cache_create_net" },
	{ 0x5854c8da, "rpcauth_destroy_credcache" },
	{ 0x141ef5ca, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x9112039f, "bpf_trace_run6" },
	{ 0xa00ba19a, "rpc_net_ns" },
	{ 0x71ad7dda, "read_bytes_from_xdr_buf" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0xda6c148b, "finish_wait" },
	{ 0x43c999a9, "rpc_wake_up" },
	{ 0x9e2cbdce, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xe0dec060, "sunrpc_cache_lookup_rcu" },
	{ 0x8a887947, "prepare_to_wait" },
	{ 0x6ebc3365, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xd3297055, "__put_devmap_managed_page_refs" },
	{ 0xc63bd3df, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x1a23434a, "bpf_trace_run2" },
	{ 0xe6bb4a03, "prepare_to_wait_event" },
	{ 0xcd068328, "xdr_truncate_decode" },
	{ 0xa66feff4, "rpcauth_unregister" },
	{ 0x69831ee6, "event_triggers_call" },
	{ 0x8efb564b, "__wake_up" },
	{ 0x139297b5, "__xdr_commit_encode" },
	{ 0xc9039978, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x91ecb847, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc8cad320, "__put_cred" },
	{ 0xf32bc30d, "register_pernet_subsys" },
	{ 0x467a4e30, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x886d7398, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x5ea2d219, "rpc_release_client" },
	{ 0x9099e0fb, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb6cdd4c6, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x727666c8, "svc_auth_register" },
	{ 0xa8beeafa, "xdr_stream_encode_opaque_auth" },
	{ 0x33173e1a, "trace_event_ignore_this_pid" },
	{ 0x3b1377ea, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x6a937e26, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3055e348, "__free_pages" },
	{ 0x3704b48a, "rpc_pipe_generic_upcall" },
	{ 0x760ea40a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xcc128256, "cache_unregister_net" },
	{ 0x57f1a311, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5d31c199, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x649d2fd9, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xa2b4a9fa, "rpcauth_init_credcache" },
	{ 0xf8e22858, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xc2396442, "xdr_init_decode" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0x9b01f29b, "trace_event_reg" },
	{ 0xd2d52829, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x11e223bf, "rpc_sleep_on_timeout" },
	{ 0xd136c981, "rpc_create" },
	{ 0xfe92435c, "bpf_trace_run1" },
	{ 0x4e67970e, "rpc_call_sync" },
	{ 0x92ff07f7, "from_kuid" },
	{ 0xd41528d9, "unregister_pernet_subsys" },
	{ 0x224fda81, "rpc_queue_upcall" },
	{ 0x5f38cddc, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x64f49fea, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5edec632, "svcauth_unix_set_client" },
	{ 0x68ffee9f, "xdr_buf_subsegment" },
	{ 0xe81221b2, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x52f810ce, "make_kgid" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0x2126198f, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0x463d83e5, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcd3ef88e, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa48eb383, "bpf_trace_run3" },
	{ 0x22964125, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa1764bec, "rpc_mkpipe_dentry" },
	{ 0xa3c705df, "rpc_mkpipe_data" },
	{ 0xf88a0b10, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x766a8afd, "trace_event_buffer_reserve" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x2bbf36c8, "cache_register_net" },
	{ 0x1e3bf3cf, "init_user_ns" },
	{ 0x3e3ca118, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5faceab7, "xdr_inline_pages" },
	{ 0x27453a11, "__folio_put" },
	{ 0x6bdb0844, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xf650a36c, "rpc_init_wait_queue" },
	{ 0xb834e51e, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x77eedd01, "rpc_unlink" },
	{ 0xd437a15, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x26c8c1cd, "from_kuid_munged" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x5902536d, "rpcauth_init_cred" },
	{ 0xc0abea3e, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x408b520d, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x3303acac, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd296768b, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xb0f68639, "sunrpc_cache_update" },
	{ 0xdd008c01, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc2832512, "rpc_destroy_wait_queue" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa8854a20, "auth_domain_put" },
	{ 0xd27bfc8b, "rpcauth_unwrap_resp_decode" },
	{ 0x579b376b, "rpcauth_register" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "042216EF997B5C7D2FED528");
MODULE_INFO(rhelversion, "9.6");
