#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x4bb94584, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x08cf4a8d, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x6cdab3a7, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x929bd90b, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x8c2df69c, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x51cb1d3a, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x52dcf7ac, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xbfea8de9, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xc058c807, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x275e4040, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xa8a9dfce, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xe9596ad2, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xc72eb0a5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x01983730, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xbd9d10fe, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x4ed223d6, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x47cb9d72, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x4fdb2011, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x08ebaaf0, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x2ce16781, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xddd92031, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x39f41347, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xf7fd798f, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x8f3c2d84, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x62610ad2, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x477e523d, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x6945b868, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xabb5fefb, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xcd6a1c97, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x1e40635a, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x9e8a34f1, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x4cd286b7, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x1934c044, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xae2ee348, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xfdc68f8f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x5f08fe04, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe7f65d1, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5b56e2ee, "vsock_insert_connected" },
	{ 0xe5f29377, "skb_put" },
	{ 0xfe8480, "consume_skb" },
	{ 0x141ef5ca, "trace_raw_output_prep" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0xdcbc738d, "vsock_remove_sock" },
	{ 0x9e2cbdce, "trace_event_printf" },
	{ 0x600a9999, "vsock_deliver_tap" },
	{ 0x6ebc3365, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x8f26704a, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x69831ee6, "event_triggers_call" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5e495ba9, "sk_error_report" },
	{ 0x467a4e30, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xca3ad250, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x33173e1a, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xdbb5c496, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5d31c199, "perf_trace_run_bpf_submit" },
	{ 0x17e70d6b, "sk_skb_reason_drop" },
	{ 0x69773c26, "sk_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9b01f29b, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa9a69e2, "__skb_recv_datagram" },
	{ 0xb28224e6, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x77155067, "vsock_stream_has_data" },
	{ 0xe50f914d, "skb_copy_datagram_iter" },
	{ 0xbd73ed5d, "bpf_trace_run9" },
	{ 0xe8a24451, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xdf1465ac, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0x324ca933, "bpf_trace_run10" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0xa346ea0e, "vsock_core_get_transport" },
	{ 0x63328287, "__zerocopy_sg_from_iter" },
	{ 0xb2af0e92, "vsock_stream_has_space" },
	{ 0x652c06f5, "skb_set_owner_w" },
	{ 0x766a8afd, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xdf2765a9, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x56de847, "remove_wait_queue" },
	{ 0xebb3f661, "msg_zerocopy_realloc" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x1b334969, "vsock_create_connected" },
	{ 0xc1111ff3, "vsock_assign_transport" },
	{ 0x11a3845a, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6c88482d, "iov_iter_npages" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0x38ea5a88, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe3007b25, "vsock_data_ready" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "CC66752BEBE17CC8EB88BBB");
MODULE_INFO(rhelversion, "9.6");
