#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_fixup, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_are_equal, "", "");
KSYMTAB_FUNC(drm_edid_block_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_do_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_replace_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(___drm_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0x3448c852, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0xf7d0654c, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x47d0c3ad, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0xe45505a5, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xe0d0c703, "");
SYMBOL_CRC(drm_atomic_state_init, 0xc70fb66f, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0xb6daaff4, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x5390adf7, "");
SYMBOL_CRC(drm_atomic_state_clear, 0xe4be19d5, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x03d8fef0, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x8cd931f0, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x9483734e, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x29ae8c57, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x4ea26d42, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x7eb696c5, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xffc7d4d2, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x7b5fce04, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0xfa2e8c13, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0x9640a3f6, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0x9c120be4, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0xde1324d2, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x568a95d3, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x2bb64675, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0xd8056595, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0xbf964ecd, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0xa7b7810b, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0x9ea835fa, "");
SYMBOL_CRC(drm_atomic_check_only, 0x51a1c66b, "");
SYMBOL_CRC(drm_atomic_commit, 0xafd57d4b, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0xcf739fbc, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0xf7073ceb, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0xdadc45fa, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0xcb0154d8, "");
SYMBOL_CRC(drm_state_dump, 0xb10c59fd, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0xef06b2e4, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0xded53f18, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0xb5c7b063, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0xbfb69f03, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x2b443853, "");
SYMBOL_CRC(drm_is_current_master, 0xc5bd36f1, "");
SYMBOL_CRC(drm_master_get, 0x1a95e5f8, "");
SYMBOL_CRC(drm_file_get_master, 0x4a553633, "");
SYMBOL_CRC(drm_master_put, 0xfc4db387, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x84b40173, "");
SYMBOL_CRC(drm_master_internal_release, 0x119db57a, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0xe5eda346, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xc32624c7, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0xf0f2746a, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x4c6fa8a6, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0xb1a0117e, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x1e87174c, "");
SYMBOL_CRC(drm_bridge_add, 0x8a9c3ef8, "");
SYMBOL_CRC(devm_drm_bridge_add, 0xf556531b, "");
SYMBOL_CRC(drm_bridge_remove, 0x51ac2838, "");
SYMBOL_CRC(drm_bridge_attach, 0x102f2dc8, "");
SYMBOL_CRC(drm_bridge_chain_mode_fixup, 0x3de53643, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x9971dd04, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0xcf486b27, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0xc61baca9, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x64107baa, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x2febd513, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x08ec028c, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0xa9699a7d, "");
SYMBOL_CRC(drm_bridge_detect, 0x3f458edc, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0x150f26ab, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0xfcf13e23, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0xb7837da0, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0x018e75dc, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0xfe31168d, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0x706d61bb, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0x4ff117d6, "");
SYMBOL_CRC(drm_client_register, 0xf8f375d3, "");
SYMBOL_CRC(drm_client_release, 0xa0f2078a, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0xad39bb48, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x4ec54e46, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x39498011, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0xee9f5f84, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x3a434611, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0xa95a2be3, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x8bb26404, "");
SYMBOL_CRC(drm_client_rotation, 0x00197525, "");
SYMBOL_CRC(drm_client_modeset_check, 0x7963d73f, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x28f8b0fb, "");
SYMBOL_CRC(drm_client_modeset_commit, 0xc13c05a0, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0x9941fd01, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x99524900, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xbb295f6e, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x84416e7c, "");
SYMBOL_CRC(drm_color_lut_check, 0x0c15c165, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0x16750771, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0xaba5a840, "");
SYMBOL_CRC(drmm_connector_init, 0xb27b26f4, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x363cd502, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0xb8504b0a, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x35d375be, "");
SYMBOL_CRC(drm_connector_cleanup, 0xcf4d37d9, "");
SYMBOL_CRC(drm_connector_register, 0x5d4c29a0, "");
SYMBOL_CRC(drm_connector_unregister, 0x43d764d7, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x4fc3f106, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x7b84278e, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0xbb6c9877, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0x1e45c7a4, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0xf71a65c6, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0xd926fcb2, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0xecb7695a, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0xdfc55c08, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0x6e322071, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x9dbade88, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0xf397efbb, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x60d01b89, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0xa34b2bf7, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x7f0c4b94, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0xa5522bb1, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x7724a285, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0xc692c831, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x3cd07031, "");
SYMBOL_CRC(drm_connector_set_path_property, 0xbef02c6d, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0xb95dd26b, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x0c211a95, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x0f847da2, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x804c1cdf, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x588c89a1, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0xdac28f8f, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0xe2ae216e, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x8fe386ea, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x3bdb9928, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x19c93ed4, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0x6a30eb9a, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0xc1c3828b, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0xa71db9a0, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x759f2d16, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x3638970d, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0xed1bcaa2, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x131a675e, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0xd8226a3c, "");
SYMBOL_CRC(drm_crtc_from_index, 0x33157d0f, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0xcf770ca9, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x6cebb062, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0xbac3e0f1, "");
SYMBOL_CRC(drm_crtc_cleanup, 0xa7bb8e3b, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x8c67e9b2, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x6ea04c9b, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x6ccb3000, "");
SYMBOL_CRC(drm_put_dev, 0x4a5d993f, "");
SYMBOL_CRC(drm_dev_enter, 0x33577066, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0xb3411e59, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x2eeb987c, "");
SYMBOL_CRC(drm_dev_alloc, 0xb218c79f, "");
SYMBOL_CRC(drm_dev_get, 0x9b2e96f9, "");
SYMBOL_CRC(drm_dev_put, 0x6d13f594, "");
SYMBOL_CRC(drm_dev_register, 0x26932bb1, "");
SYMBOL_CRC(drm_dev_unregister, 0x5ce6a96e, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_are_equal, 0x944bbdae, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_is_valid, 0xa6b32156, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x3ba74b74, "");
SYMBOL_CRC(drm_do_get_edid, 0x1e62a3b2, "_gpl");
SYMBOL_CRC(drm_edid_raw, 0x5f3e2dd3, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0xafa76977, "");
SYMBOL_CRC(drm_get_edid, 0xb2224cc6, "");
SYMBOL_CRC(drm_edid_read_custom, 0xa16d4262, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x7149e523, "");
SYMBOL_CRC(drm_edid_read, 0xf7074256, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0x283759be, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0xfcffe9aa, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0x49617c33, "");
SYMBOL_CRC(drm_edid_duplicate, 0x57e6f878, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x1512ea7d, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0xa8118245, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x08618e5a, "");
SYMBOL_CRC(drm_edid_to_sad, 0x755623d5, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x3022c924, "");
SYMBOL_CRC(drm_av_sync_delay, 0x7972267a, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa51708dc, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0x946f25f1, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0x2383b956, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0x5e094502, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0x16918fed, "");
SYMBOL_CRC(drm_add_edid_modes, 0x33d30518, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x31da324a, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0xe54d057b, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x944b2911, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0xc2451856, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0xc476cb8d, "");
SYMBOL_CRC(drm_encoder_cleanup, 0xf62b2dc4, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x4363346c, "");
SYMBOL_CRC(drmm_encoder_init, 0xe1f74dc5, "");
SYMBOL_CRC(drm_open, 0xec0e5776, "");
SYMBOL_CRC(drm_release, 0xae250682, "");
SYMBOL_CRC(drm_release_noglobal, 0x0127a9e3, "");
SYMBOL_CRC(drm_read, 0xbe93ef5e, "");
SYMBOL_CRC(drm_poll, 0x0820496f, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0xdcd568f9, "");
SYMBOL_CRC(drm_event_reserve_init, 0xd46fd530, "");
SYMBOL_CRC(drm_event_cancel_free, 0xae36b8a1, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0xb725d10e, "");
SYMBOL_CRC(drm_send_event_locked, 0x9ec3f548, "");
SYMBOL_CRC(drm_send_event, 0xed44f98b, "");
SYMBOL_CRC(drm_print_memory_stats, 0xb9393302, "");
SYMBOL_CRC(drm_show_memory_stats, 0x62b44c7a, "");
SYMBOL_CRC(drm_show_fdinfo, 0x3592484e, "");
SYMBOL_CRC(mock_drm_getfile, 0x905139fd, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x18193c7c, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x432f1641, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0x11ee4c57, "");
SYMBOL_CRC(drm_framebuffer_init, 0x2d8c22fc, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0xdd752f20, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x4f1fb5b5, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0xf051b53d, "");
SYMBOL_CRC(drm_framebuffer_remove, 0xba0b2396, "");
SYMBOL_CRC(drm_gem_object_init, 0x5612b335, "");
SYMBOL_CRC(drm_gem_private_object_init, 0x84dcc24f, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0xbbf86d34, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x10bf612e, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x4aa517bd, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0xffcedfab, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0xc689f190, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x36dca2c9, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0xba470b66, "");
SYMBOL_CRC(drm_gem_get_pages, 0x961ef2de, "");
SYMBOL_CRC(drm_gem_put_pages, 0x6be81853, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0xaadde5bd, "");
SYMBOL_CRC(drm_gem_object_lookup, 0x1a018d7f, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x036d61cc, "");
SYMBOL_CRC(drm_gem_object_release, 0xee61a755, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0x1b9ae37c, "");
SYMBOL_CRC(drm_gem_vm_close, 0x5cf3011a, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x0d0ac694, "");
SYMBOL_CRC(drm_gem_mmap, 0x1348acc6, "");
SYMBOL_CRC(drm_gem_vmap, 0x632975d8, "");
SYMBOL_CRC(drm_gem_vunmap, 0xe31eb322, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x16f675e7, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0xda93fd57, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0x16a74e4d, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0xc3330bdf, "");
SYMBOL_CRC(drm_gem_lru_init, 0xf7971a2d, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x3e6675dd, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0xcb447d92, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0xdce8793b, "");
SYMBOL_CRC(drm_gem_lru_scan, 0xed782a6c, "");
SYMBOL_CRC(drm_gem_evict, 0xed56c638, "");
SYMBOL_CRC(drm_noop, 0x0fc2e88e, "");
SYMBOL_CRC(drm_invalid_op, 0x63051c42, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x6067bbad, "");
SYMBOL_CRC(drm_ioctl, 0x8c7caf49, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0xc4cf6b28, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x567128b2, "");
SYMBOL_CRC(drmm_release_action, 0xa3c9f528, "");
SYMBOL_CRC(drmm_kmalloc, 0x7a6f6ed4, "");
SYMBOL_CRC(drmm_kstrdup, 0xca548ae6, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x0d2f125f, "");
SYMBOL_CRC(__drmm_mutex_release, 0xa008de01, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_replace_node, 0x59056243, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x07e00176, "");
SYMBOL_CRC(drm_mode_config_reset, 0x3793daff, "");
SYMBOL_CRC(drmm_mode_config_init, 0x5dcc30e2, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x1876983a, "");
SYMBOL_CRC(drm_mode_object_find, 0x47149eb4, "");
SYMBOL_CRC(drm_mode_object_put, 0x75a83d25, "");
SYMBOL_CRC(drm_mode_object_get, 0x0e763448, "");
SYMBOL_CRC(drm_object_attach_property, 0xdb342b86, "");
SYMBOL_CRC(drm_object_property_set_value, 0xfaa8e91a, "");
SYMBOL_CRC(drm_object_property_get_value, 0x47c63dcd, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0xc0bc9123, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0x353d9422, "");
SYMBOL_CRC(drm_mode_destroy, 0xab5457b3, "");
SYMBOL_CRC(drm_mode_probed_add, 0x300f6e0d, "");
SYMBOL_CRC(drm_analog_tv_mode, 0xe2558f40, "");
SYMBOL_CRC(drm_cvt_mode, 0xec048383, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0xb10755a2, "");
SYMBOL_CRC(drm_gtf_mode, 0x52452b2a, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0xb49482ac, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0xf41e5f85, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0x40d3b163, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0x0ea2911d, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0x9ab6aaa0, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x2c717ebf, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0xeb9451f6, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x456ee93a, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x864a992f, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x226e52e9, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x0b19dc9c, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0xaf2ad9e0, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0xd0441e12, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0xfd89227b, "");
SYMBOL_CRC(drm_modeset_backoff, 0x8986bb46, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x932d0704, "");
SYMBOL_CRC(drm_modeset_lock, 0x7eec4085, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x41f66e25, "");
SYMBOL_CRC(drm_modeset_unlock, 0x9437eb7d, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x51984919, "");
SYMBOL_CRC(drm_universal_plane_init, 0x08edfbfa, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x745f7a41, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0xcf86650f, "");
SYMBOL_CRC(drm_plane_cleanup, 0x2a33d42e, "");
SYMBOL_CRC(drm_plane_from_index, 0x554c8ea1, "");
SYMBOL_CRC(drm_plane_force_disable, 0x196b8d95, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0xd417d6b2, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x98260c0d, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x7087b64a, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0xf36d33fe, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x6ba3b2f6, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x97e50a21, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x67b205b4, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0xa61ccfbc, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0xad8ea8dc, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x0fdeb9da, "");
SYMBOL_CRC(drm_gem_map_attach, 0x1b64cd25, "");
SYMBOL_CRC(drm_gem_map_detach, 0x2169d65d, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0x6473b4f6, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x5d5f6ae2, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x916a0934, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x1592a9b1, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x97f090a3, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x2f65f6ab, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x87541fd5, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x0e6183b6, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x116d181b, "");
SYMBOL_CRC(drm_gem_prime_import, 0x0158d408, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x05840b40, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x4d98bf1e, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0x114c1ccc, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xdddcbca6, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x65b962a9, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x21475af8, "");
SYMBOL_CRC(__drm_printfn_info, 0x470cac07, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x1ab5d60a, "");
SYMBOL_CRC(__drm_printfn_err, 0x8c7724de, "");
SYMBOL_CRC(drm_puts, 0x4d8b5a5b, "");
SYMBOL_CRC(drm_printf, 0xd2d42a9f, "");
SYMBOL_CRC(drm_print_bits, 0x2d8c3645, "");
SYMBOL_CRC(drm_dev_printk, 0xd9e43650, "");
SYMBOL_CRC(__drm_dev_dbg, 0x3179c725, "");
SYMBOL_CRC(___drm_dbg, 0x7e3277f8, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x6f4e8510, "");
SYMBOL_CRC(drm_property_create, 0xc85b617c, "");
SYMBOL_CRC(drm_property_create_enum, 0x947be09d, "");
SYMBOL_CRC(drm_property_create_bitmask, 0xcd9e0b27, "");
SYMBOL_CRC(drm_property_create_range, 0xb29db548, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x3d36d956, "");
SYMBOL_CRC(drm_property_create_object, 0x16ef5765, "");
SYMBOL_CRC(drm_property_create_bool, 0x4f560ecc, "");
SYMBOL_CRC(drm_property_add_enum, 0x74b3ebce, "");
SYMBOL_CRC(drm_property_destroy, 0x54b1e34f, "");
SYMBOL_CRC(drm_property_create_blob, 0xfc53d073, "");
SYMBOL_CRC(drm_property_blob_put, 0x96aca640, "");
SYMBOL_CRC(drm_property_blob_get, 0x2ba7fbc6, "");
SYMBOL_CRC(drm_property_lookup_blob, 0xd71abee1, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x87b0fbfd, "");
SYMBOL_CRC(drm_property_replace_blob, 0x102889e4, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0x119c31b1, "");
SYMBOL_CRC(drm_syncobj_find, 0x2575a054, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x5a957519, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0xd773dd36, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x94cfa21f, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0xe5ab38e6, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0xd0f76a7c, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x39853d7a, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0xbc3aedba, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0xbaefbe6d, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x39836a18, "");
SYMBOL_CRC(drm_class_device_register, 0x29bbf655, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0xecaf33c8, "_gpl");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0xeac212a3, "");
SYMBOL_CRC(drm_vblank_init, 0x2265f08f, "");
SYMBOL_CRC(drm_dev_has_vblank, 0xfd3d0f51, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x48aaa0f6, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x5b04c7e6, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x3430204a, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0xa5099b1e, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0xe43006cc, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0x07f85615, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0xd594f6c6, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x515c72ad, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x7b4ba610, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0xea227a5e, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x98f42702, "");
SYMBOL_CRC(drm_wait_one_vblank, 0xb10b94d2, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xf89678fe, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0x99661a2f, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x614383c7, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x3461bd6c, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0xeacf7055, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x4a439255, "");
SYMBOL_CRC(drm_handle_vblank, 0xc35a14aa, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x227395ca, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x475a660c, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x317265f9, "");
SYMBOL_CRC(drm_vblank_work_flush, 0x935b0095, "");
SYMBOL_CRC(drm_vblank_work_init, 0xab201491, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x276876ad, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x27632946, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0x6e9aee51, "");
SYMBOL_CRC(drm_vma_offset_add, 0x1d2ef1c6, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x0d0bc37c, "");
SYMBOL_CRC(drm_vma_node_allow, 0x9acd5c49, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x9f73cc86, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x0d856567, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0xc3a78626, "");
SYMBOL_CRC(drm_writeback_connector_init, 0x3034704f, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0xe23167bb, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x386feb14, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x9f97ddb6, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0x88d54c8d, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x482e6d5d, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0xd9e67fc9, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0xd733d249, "");
SYMBOL_CRC(drm_panel_init, 0xa6054b10, "");
SYMBOL_CRC(drm_panel_add, 0x15c2574a, "");
SYMBOL_CRC(drm_panel_remove, 0x0ee5b5a2, "");
SYMBOL_CRC(drm_panel_prepare, 0x20ef7dd0, "");
SYMBOL_CRC(drm_panel_unprepare, 0x23318a71, "");
SYMBOL_CRC(drm_panel_enable, 0x7e991b87, "");
SYMBOL_CRC(drm_panel_disable, 0x8bf484e4, "");
SYMBOL_CRC(drm_panel_get_modes, 0x6a4ffd3f, "");
SYMBOL_CRC(drm_is_panel_follower, 0x08a1e008, "");
SYMBOL_CRC(drm_panel_add_follower, 0x61855a93, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x6c9ac75d, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0x4751066f, "");
SYMBOL_CRC(drm_panel_of_backlight, 0x48727195, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0xc68217d5, "");
SYMBOL_CRC(drm_debugfs_create_files, 0xd6ab397e, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0xf547bbc0, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x1d6eefee, "");
SYMBOL_CRC(drm_debugfs_add_files, 0xa1eb1a98, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x0922298d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x185d46d5, "clear_user_rep_good" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xc5339917, "ida_alloc_range" },
	{ 0x90956198, "try_module_get" },
	{ 0x2f37f963, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x81dd294f, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa7f4c0c9, "alloc_anon_inode" },
	{ 0x229bc0f7, "show_class_attr_string" },
	{ 0xbcd6ac3a, "kthread_cancel_work_sync" },
	{ 0x29f77d7c, "is_acpi_device_node" },
	{ 0x645d9688, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xbfc28c42, "kthread_flush_work" },
	{ 0x414249fe, "bpf_trace_run4" },
	{ 0x158a0961, "ida_destroy" },
	{ 0xcc592d65, "idr_find" },
	{ 0x59be0e05, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa9b1c656, "shmem_read_folio_gfp" },
	{ 0x4e196288, "__folio_batch_release" },
	{ 0xee744251, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x141ef5ca, "trace_raw_output_prep" },
	{ 0xacfc5d0a, "dma_resv_init" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xb2df2e2c, "dma_resv_wait_timeout" },
	{ 0xa84a2627, "device_unregister" },
	{ 0xc8e8effc, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xb966e750, "kthread_flush_worker" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0xda6c148b, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbe477f78, "request_firmware" },
	{ 0xbdb7f0fb, "class_destroy" },
	{ 0x9e2cbdce, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xe288ffc9, "idr_replace" },
	{ 0xa5243fe9, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xf183002, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x3ebc6c92, "fd_install" },
	{ 0x2131fec2, "dma_fence_chain_ops" },
	{ 0x6ebc3365, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4acc9e6e, "component_del" },
	{ 0xb2f3b482, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xa0398f5, "iput" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x42bf9e15, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe6bb4a03, "prepare_to_wait_event" },
	{ 0xe090ae7a, "dma_buf_unmap_attachment_unlocked" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x69831ee6, "event_triggers_call" },
	{ 0x8efb564b, "__wake_up" },
	{ 0x9a2d9996, "dma_fence_add_callback" },
	{ 0x592ed4bc, "synchronize_srcu" },
	{ 0x5b752d32, "dma_fence_set_deadline" },
	{ 0x1713dcca, "get_device" },
	{ 0x83be1a62, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa6a712e8, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x18a44a3d, "wake_up_process" },
	{ 0x8f5d25f, "dev_driver_string" },
	{ 0x809885ed, "dma_buf_map_attachment_unlocked" },
	{ 0x467a4e30, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x71fef67f, "ww_mutex_trylock" },
	{ 0xd062df25, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xfce59b79, "devm_of_find_backlight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0e52e56, "clear_user_original" },
	{ 0xe6d1fd0b, "dma_max_mapping_size" },
	{ 0x5226ce90, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x33173e1a, "trace_event_ignore_this_pid" },
	{ 0x1b7b5cd2, "dma_buf_export" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x7947bbd7, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb35f75a6, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x780c8614, "dma_fence_remove_callback" },
	{ 0x402fb4cf, "rt_write_unlock" },
	{ 0x1c4be8af, "_dev_info" },
	{ 0x4b840d65, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb29605a6, "atomic_dec_and_mutex_lock" },
	{ 0x760ea40a, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4fd02a29, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x24ca6c51, "idr_remove" },
	{ 0xe0a75246, "dma_fence_chain_walk" },
	{ 0x17dedacf, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x493425d6, "__task_pid_nr_ns" },
	{ 0x768eade8, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x69c528f3, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf61ddc98, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5d31c199, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0x96c07dcd, "fput" },
	{ 0x6bab9b54, "down_write" },
	{ 0x6bf7730, "_dev_err" },
	{ 0x4353637c, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xfc351360, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x1153dcb6, "sysfs_remove_link" },
	{ 0x2d40c07e, "idr_alloc" },
	{ 0xaacdfa6d, "pid_task" },
	{ 0xa4b3a58c, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xed48872c, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xc5eae711, "noop_llseek" },
	{ 0x49777c1, "dma_fence_signal" },
	{ 0x58d0942, "folio_mark_accessed" },
	{ 0xd336f93f, "dma_resv_fini" },
	{ 0x3f77b798, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x98f40c38, "dma_buf_get" },
	{ 0xd52e0c38, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x5f69ffdc, "aperture_remove_conflicting_pci_devices" },
	{ 0x4c03daa2, "ww_mutex_lock" },
	{ 0x9b01f29b, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8fbe646b, "dma_buf_put" },
	{ 0x17d65626, "ida_free" },
	{ 0xbecab81f, "clear_user_erms" },
	{ 0x6bb13d13, "dma_buf_fd" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe2cc4d12, "dma_fence_init" },
	{ 0x2bba59d8, "mutex_lock_interruptible" },
	{ 0x27b9d26d, "device_register" },
	{ 0x5eb60c14, "device_del" },
	{ 0x7523d4db, "idr_destroy" },
	{ 0x821af9e3, "sg_alloc_table_from_pages_segment" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0x45010da1, "_dev_warn" },
	{ 0xfd9a1a5, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe81221b2, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0xa044b9cf, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x61d4b661, "devm_aperture_acquire_for_platform_device" },
	{ 0xeb854fc1, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x46a02233, "check_move_unevictable_folios" },
	{ 0xa48eb383, "bpf_trace_run3" },
	{ 0xe79e6e53, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x5e00fa90, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb2b70e0, "rt_read_lock" },
	{ 0x5816b9f9, "debugfs_create_file" },
	{ 0x766a8afd, "trace_event_buffer_reserve" },
	{ 0x8e3fe1a6, "dma_map_sgtable" },
	{ 0xdc11ee1b, "kthread_destroy_worker" },
	{ 0x85df9b6c, "strsep" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0x10518ba9, "__dma_fence_unwrap_merge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xcfedd54a, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x257ce018, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x44727445, "seq_write" },
	{ 0x57d1c3de, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x5651e013, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7c33225a, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x229b6c1b, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9baa0552, "__rt_mutex_init" },
	{ 0x8cb8dbfd, "__srcu_read_unlock" },
	{ 0xab3ea306, "rt_write_lock" },
	{ 0x24ffd6fb, "i2c_transfer" },
	{ 0xefc612c5, "dma_fence_allocate_private_stub" },
	{ 0xc5bd9b28, "dma_buf_detach" },
	{ 0x41b5b9c6, "dma_fence_signal_timestamp" },
	{ 0x5af1a6a0, "dma_fence_chain_init" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0x89fd960, "seq_puts" },
	{ 0xb211d1de, "single_release" },
	{ 0x9a451628, "dev_printk" },
	{ 0xb51d14f7, "pid_vnr" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x67709a24, "sched_set_fifo" },
	{ 0xa68411e5, "simple_release_fs" },
	{ 0x727aab32, "dma_unmap_sg_attrs" },
	{ 0xb49efdd4, "kill_anon_super" },
	{ 0x26c8c1cd, "from_kuid_munged" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x8fc7b4c9, "__devm_add_action" },
	{ 0x86f2a8c1, "component_add" },
	{ 0xdb745df7, "dma_resv_test_signaled" },
	{ 0xdca40a50, "fwnode_handle_put" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1e0ff5f1, "dma_fence_chain_find_seqno" },
	{ 0x1a829bc6, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6a2271c2, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x1a1cc072, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xad65f0d, "cc_platform_has" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7d6c819b, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0x8a863c0e, "put_pid" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb7213c5b, "__dev_fwnode" },
	{ 0xbceb16a2, "pci_bus_type" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0x1c5b80a3, "class_remove_file_ns" },
	{ 0x90ec25, "simple_pin_fs" },
	{ 0x8e26e696, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks");


MODULE_INFO(srcversion, "2536471C34692EBDF2235FF");
MODULE_INFO(rhelversion, "9.6");
