#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xe173a056, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x27ade68b, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xc1f89b04, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x17b9b28a, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x526f2bae, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x4d7ecc6d, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0xf5ceccfa, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xb7b0a5d9, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xaed4aff5, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x7e8d3cba, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x6fb92e63, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x3c20b7e6, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xa22be615, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x1104ef00, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x2b8ced05, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x448edfa4, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x164525ff, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x26bda1c0, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x8c53f2a1, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x5d0c9a5f, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x674bf933, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x4f90a68d, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xe08853cd, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x4d542f44, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x45f0116b, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x2edda22d, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x02416f4a, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xf50344d0, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0xdbe24ddb, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x666a8a05, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x8c660ce0, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x1c7a273c, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xa2688b4b, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x08a6b32c, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x7dcfc7d5, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x6f84f70a, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x58e14801, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0xfff0b67f, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x308e8a09, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x1d3a36fd, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x451e115e, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x9d702575, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xc3885d07, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x1cf596b9, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xe6276a20, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xc811c92d, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x7e2dc18b, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x00c0a893, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x5f894bac, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x3571e859, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x6db25fb7, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0xd74d3e76, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xbd730082, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x38e89a07, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xdf82f31f, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xc2b8620a, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x05e57498, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x60af6d41, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x40957ccc, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0xe2566e19, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xba1403d4, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xfa967732, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x72e66c39, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x3e73e29d, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xf5dd2646, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x99d960dd, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x2dd9b684, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x65c4fdc9, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xfdefd351, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x00f8abc3, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xc52e2a88, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x2f1495eb, "");
SYMBOL_CRC(drm_bridge_connector_init, 0x8e384fcf, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x23fafc0e, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0xb33d4f84, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xbbf71737, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x0fdcd6bd, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x621a239e, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x4f76c4cf, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xbdd73418, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x268e28c5, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x396c00e5, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x8b160b3e, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x0ee72d4b, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0xf4adec71, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x47318f21, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x307e2b1e, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x167230fc, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0xfce77be9, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x5804711c, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xc4516188, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xe0f79dbb, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x37118681, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x54c50460, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x4d518295, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x401d0086, "");
SYMBOL_CRC(drm_flip_work_queue, 0xd38c8b88, "");
SYMBOL_CRC(drm_flip_work_commit, 0x1bf0a2d1, "");
SYMBOL_CRC(drm_flip_work_init, 0xa6affc4f, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xa2830071, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x9dd3c166, "");
SYMBOL_CRC(drm_fb_swab, 0x62c41122, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0xa9c551b7, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0xec9494fa, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x368fa6b2, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x751a20e5, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xb7589506, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x58f10c05, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xfe5ea8bc, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x092d3ae6, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x8d625a96, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x12e6c651, "");
SYMBOL_CRC(drm_fb_blit, 0xccf1311d, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x95b07657, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0xd606e5d1, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x4ec1ba6b, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x105fa1d0, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x3e91c680, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x922225e2, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xad20dce4, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xf60c0f5a, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xb1862299, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x1524f96d, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x39b192f3, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xc2d86546, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x5f09d4d9, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xfe856f5d, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xcc3638a3, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xb635c939, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xd5fc91fc, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x0667ab92, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x57406d2c, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x8b68c82a, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xff2cd6fe, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xb2c6d4f8, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x18efa5bb, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x65bf1a6d, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0xd954c474, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x06a25758, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x754496c0, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x4fcb5784, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x9a5b8000, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xe6cd520a, "");
SYMBOL_CRC(drm_crtc_init, 0x87d3ddf0, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0xf5ca9758, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x468bc9a3, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xb1236abf, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0xe1e67373, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x482c963b, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x56aec4c8, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0xb3d34ac7, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x02be2825, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x12567c82, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x61022a3c, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xc4a86bc8, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x4a184e28, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0xabbfa080, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x4a7f43ac, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x1fe4c857, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0xa2119c15, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x52c62b1b, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x092b68fc, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xf41756d6, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x1fe561b9, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x7004aca6, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x8f52cee0, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0xe1027921, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x9fdb6691, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x98d687d4, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x3f96bc34, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xdddf2f8c, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x1896edd8, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xa8397fa6, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x5d68e364, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0xb538adbf, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x4b3ad161, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x2535f16d, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x3f2ebd5e, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xd7aa7e8c, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x30da86e5, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x10887f8e, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0x51f169e7, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x417df7a8, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x1f7e8bf7, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x292b68ab, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x4be3c7d5, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x94c07aae, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0xff32a5c3, "");
SYMBOL_CRC(drm_fb_helper_init, 0xca7ee7dd, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xe349ef45, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x21fbaaa6, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x703991c5, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x38c66668, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x9de74233, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0xbea4090f, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0xe852fd7d, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x916a4a92, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x14247cea, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x96441d70, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x73ef8838, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x2035ef88, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x316e53fd, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x59825771, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xe32429ea, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xab4fe614, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x4d9d611b, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0xb21779b9, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0x8049b881, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x79a23b09, "unregister_framebuffer" },
	{ 0x9640a3f6, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0xf051b53d, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xf8f375d3, "drm_client_register" },
	{ 0x386feb14, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x6a4ffd3f, "drm_panel_get_modes" },
	{ 0x16f675e7, "drm_gem_vmap_unlocked" },
	{ 0x90956198, "try_module_get" },
	{ 0x9ab6aaa0, "drm_connector_list_update" },
	{ 0x8a9c3ef8, "drm_bridge_add" },
	{ 0x9971dd04, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0x5d4c29a0, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x9b8e5f1b, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x197525, "drm_client_rotation" },
	{ 0x4ec54e46, "drm_client_buffer_vmap" },
	{ 0x7e991b87, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d8c22fc, "drm_framebuffer_init" },
	{ 0xf41e5f85, "drm_mode_validate_driver" },
	{ 0x9ea835fa, "drm_atomic_add_affected_planes" },
	{ 0x8a99b175, "dma_buf_end_cpu_access" },
	{ 0x226e52e9, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x300f6e0d, "drm_mode_probed_add" },
	{ 0xa7b7810b, "drm_atomic_add_affected_connectors" },
	{ 0xda93fd57, "drm_gem_vunmap_unlocked" },
	{ 0xb7837da0, "drm_bridge_hpd_enable" },
	{ 0xe43006cc, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0xda6c148b, "finish_wait" },
	{ 0x864a992f, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3a434611, "drm_client_framebuffer_delete" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xee9f5f84, "drm_client_framebuffer_create" },
	{ 0x8ec028c, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xe763448, "drm_mode_object_get" },
	{ 0x3ba74b74, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x18193c7c, "drm_driver_legacy_fb_format" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0xa7bb8e3b, "drm_crtc_cleanup" },
	{ 0x4fc3f106, "drm_connector_list_iter_begin" },
	{ 0x849b0214, "fb_deferred_io_init" },
	{ 0x8c67e9b2, "drm_mode_set_config_internal" },
	{ 0xf83ff670, "fb_deferred_io_cleanup" },
	{ 0xe6bb4a03, "prepare_to_wait_event" },
	{ 0x8b58856f, "framebuffer_alloc" },
	{ 0xf62b2dc4, "drm_encoder_cleanup" },
	{ 0x43d764d7, "drm_connector_unregister" },
	{ 0xaf2ad9e0, "drm_modeset_acquire_init" },
	{ 0x5b752d32, "dma_fence_set_deadline" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x8bb26404, "drm_client_modeset_probe" },
	{ 0xb19dc9c, "drm_warn_on_modeset_not_all_locked" },
	{ 0x6ba3b2f6, "drm_plane_get_damage_clips" },
	{ 0x322fd58c, "devres_add" },
	{ 0xfc9dc2c1, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x31da324a, "drm_add_modes_noedid" },
	{ 0x51ac2838, "drm_bridge_remove" },
	{ 0x75a83d25, "drm_mode_object_put" },
	{ 0x8f5d25f, "dev_driver_string" },
	{ 0xea227a5e, "drm_crtc_vblank_get" },
	{ 0x1a018d7f, "drm_gem_object_lookup" },
	{ 0x7b4ba610, "drm_crtc_send_vblank_event" },
	{ 0xb8504b0a, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x83be875c, "fb_sys_write" },
	{ 0xb1a0117e, "drm_atomic_normalize_zpos" },
	{ 0x2383b956, "drm_edid_connector_update" },
	{ 0xbc3aedba, "drm_sysfs_hotplug_event" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x18e75dc, "drm_bridge_hpd_disable" },
	{ 0x7dec95df, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x567128b2, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x614383c7, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0xcf3596e3, "sys_fillrect" },
	{ 0xbb6c9877, "drm_connector_list_iter_end" },
	{ 0xb5c7b063, "drm_atomic_set_crtc_for_plane" },
	{ 0xfcf13e23, "drm_bridge_edid_read" },
	{ 0x9941fd01, "drm_client_modeset_dpms" },
	{ 0xea2911d, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xad39bb48, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x1c4be8af, "_dev_info" },
	{ 0x1c779a71, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x2a33d42e, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x760ea40a, "module_put" },
	{ 0x6cc65496, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x3d8fef0, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4ff117d6, "drm_client_init" },
	{ 0xf89678fe, "drm_crtc_wait_one_vblank" },
	{ 0xd594f6c6, "drm_crtc_next_vblank_start" },
	{ 0x4363346c, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x7eec4085, "drm_modeset_lock" },
	{ 0x28f8b0fb, "drm_client_modeset_commit_locked" },
	{ 0x9437eb7d, "drm_modeset_unlock" },
	{ 0x8bf484e4, "drm_panel_disable" },
	{ 0x102889e4, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x16750771, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8060d575, "devm_kfree" },
	{ 0x6bf7730, "_dev_err" },
	{ 0x88d54c8d, "drm_writeback_cleanup_job" },
	{ 0x51984919, "drm_modeset_lock_all_ctx" },
	{ 0xf2fe393b, "i2c_unregister_device" },
	{ 0xbfb69f03, "drm_atomic_set_fb_for_plane" },
	{ 0xcf86650f, "__drm_universal_plane_alloc" },
	{ 0xaba5a840, "drm_connector_init_with_ddc" },
	{ 0x5e094502, "drm_edid_connector_add_modes" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x8aea8b68, "__devres_alloc_node" },
	{ 0xf7074256, "drm_edid_read" },
	{ 0xe45505a5, "drm_crtc_commit_wait" },
	{ 0xfd3d0f51, "drm_dev_has_vblank" },
	{ 0x6f4ad538, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf7073ceb, "__drm_atomic_helper_disable_plane" },
	{ 0x19c93ed4, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xffcedfab, "drm_gem_handle_create" },
	{ 0x2b443853, "drm_atomic_set_crtc_for_connector" },
	{ 0xe2558f40, "drm_analog_tv_mode" },
	{ 0xcf770ca9, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xb49482ac, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x98f42702, "drm_crtc_vblank_put" },
	{ 0x8e950e5e, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x3179c725, "__drm_dev_dbg" },
	{ 0xf36d33fe, "drm_plane_get_damage_clips_count" },
	{ 0xafd57d4b, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xb191bba5, "fb_deferred_io_mmap" },
	{ 0xb6daaff4, "drm_atomic_state_alloc" },
	{ 0xc13c05a0, "drm_client_modeset_commit" },
	{ 0x45010da1, "_dev_warn" },
	{ 0x64107baa, "drm_atomic_bridge_chain_post_disable" },
	{ 0x16918fed, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x17a2e88a, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x9c120be4, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xa0f2078a, "drm_client_release" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xdadc45fa, "__drm_atomic_helper_set_config" },
	{ 0x8d4882c7, "mutex_trylock" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0xded53f18, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x432f1641, "drm_get_format_info" },
	{ 0xcf4d37d9, "drm_connector_cleanup" },
	{ 0x8edfbfa, "drm_universal_plane_init" },
	{ 0x98260c0d, "drm_any_plane_has_format" },
	{ 0x1f0bb945, "sys_copyarea" },
	{ 0x7b84278e, "drm_connector_list_iter_next" },
	{ 0xd0441e12, "drm_modeset_acquire_fini" },
	{ 0xc476cb8d, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0xc0bc9123, "drm_object_property_get_default_value" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x18a230b7, "param_ops_bool" },
	{ 0x84b40173, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8986bb46, "drm_modeset_backoff" },
	{ 0x20ef7dd0, "drm_panel_prepare" },
	{ 0xcf486b27, "drm_bridge_chain_mode_set" },
	{ 0x39498011, "drm_client_buffer_vunmap" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x7bcd45ce, "fb_sys_read" },
	{ 0x8cd931f0, "drm_atomic_get_plane_state" },
	{ 0xa9699a7d, "drm_atomic_bridge_chain_check" },
	{ 0x5af1a6a0, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0x2ba7fbc6, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x96aca640, "drm_property_blob_put" },
	{ 0xab5457b3, "drm_mode_destroy" },
	{ 0x102f2dc8, "drm_bridge_attach" },
	{ 0x456ee93a, "drm_set_preferred_mode" },
	{ 0x2febd513, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xe4be19d5, "drm_atomic_state_clear" },
	{ 0x3793daff, "drm_mode_config_reset" },
	{ 0xfc53d073, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0xfd89227b, "drm_modeset_drop_locks" },
	{ 0xdca40a50, "fwnode_handle_put" },
	{ 0x5c715e36, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xc61baca9, "drm_atomic_bridge_chain_disable" },
	{ 0xeb9451f6, "drm_mode_create_from_cmdline_mode" },
	{ 0x40d3b163, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x1a829bc6, "param_ops_int" },
	{ 0xcf739fbc, "drm_atomic_nonblocking_commit" },
	{ 0x1a1cc072, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x119db57a, "drm_master_internal_release" },
	{ 0x5b04c7e6, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x23318a71, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0xbf964ecd, "drm_atomic_add_encoder_bridges" },
	{ 0xde1324d2, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbaefbe6d, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "B691302735FEF891793A40E");
MODULE_INFO(rhelversion, "9.6");
