#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xf52d62df, "");
SYMBOL_CRC(drm_gem_vram_put, 0x41509664, "");
SYMBOL_CRC(drm_gem_vram_offset, 0xda1d0582, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xd8d9cfc9, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x089aab7a, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x025d5c55, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x4f55547c, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x065162ea, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x09184bc7, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x08366220, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0xf5483720, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x900a0ea3, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x8089cfcb, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xf1f8ec38, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x7968663a, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x06ff7ec7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf451fb11, "ttm_range_man_init_nocheck" },
	{ 0x81dd294f, "ww_mutex_lock_interruptible" },
	{ 0x3ba01816, "ttm_resource_manager_debug" },
	{ 0xa5243fe9, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xf50fef08, "ttm_range_man_fini_nocheck" },
	{ 0x5612b335, "drm_gem_object_init" },
	{ 0x21475af8, "__drm_printfn_seq_file" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdd6341ca, "ttm_bo_pin" },
	{ 0x8f5d25f, "dev_driver_string" },
	{ 0x1773bb7c, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x567128b2, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd1b3afef, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xee61a755, "drm_gem_object_release" },
	{ 0x93f73bd7, "ttm_tt_init" },
	{ 0xffcedfab, "drm_gem_handle_create" },
	{ 0xd5fc91fc, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcdcbe5ef, "ttm_bo_unpin" },
	{ 0x65b962a9, "__drm_puts_seq_file" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0xa1eb1a98, "drm_debugfs_add_files" },
	{ 0xbb37d3ed, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x85e3dc13, "ttm_device_init" },
	{ 0x7292d66d, "ttm_bo_validate" },
	{ 0xafaf653e, "ttm_bo_move_to_lru_tail" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x4da0bf1e, "ttm_bo_vmap" },
	{ 0xd18b130b, "ttm_bo_put" },
	{ 0x55ae7d54, "ttm_resource_free" },
	{ 0x30d0b691, "ttm_bo_move_memcpy" },
	{ 0xff010ea0, "ttm_tt_fini" },
	{ 0xdddd6ead, "ttm_device_fini" },
	{ 0x4ec1ba6b, "drm_gem_plane_helper_prepare_fb" },
	{ 0x920f4697, "ttm_bo_eviction_valuable" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0x46a47efe, "drm_gem_ttm_print_info" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "1496405607BF97945448E9F");
MODULE_INFO(rhelversion, "9.6");
