#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x757f0df3, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x1c06310d, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0xf8e1c64c, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x660a3e9f, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x0c75ab10, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0x7fa2ab09, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0x119092fc, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0x879253be, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x673a1a16, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x91bf3387, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0xcae22ead, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0x433e1f80, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0xd1e7e304, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x5898bc71, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0xb5cfdef9, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x4a6d8f5d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xee744251, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x3d25ff60, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0xda6c148b, "finish_wait" },
	{ 0xf183002, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x42bf9e15, "seq_lseek" },
	{ 0xe6bb4a03, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x8efb564b, "__wake_up" },
	{ 0x1713dcca, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x18a44a3d, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xbbb10d09, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbd443aaf, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x5226ce90, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x17d18610, "bus_unregister" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0xd52e0c38, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x90f2bf6c, "kthread_stop" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe81221b2, "__init_waitqueue_head" },
	{ 0x95e2a5e0, "kthread_create_on_node" },
	{ 0xe79e6e53, "seq_read" },
	{ 0x5816b9f9, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x18a230b7, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x9ea774f2, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x229b6c1b, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x89fd960, "seq_puts" },
	{ 0xb211d1de, "single_release" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x1a829bc6, "param_ops_int" },
	{ 0x6a2271c2, "single_open" },
	{ 0x1a1cc072, "debugfs_create_dir" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0xde2bebe, "cdev_init" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0x15639337, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "13504F5D380BA58ACD4AAC7");
MODULE_INFO(rhelversion, "9.6");
