#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0xdb5054f3, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x4b004267, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x7b5c6ec7, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xb3664c49, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xb11087ed, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x76a83e77, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x8dd5a2e3, "_gpl");
SYMBOL_CRC(nd_device_notify, 0x05262079, "");
SYMBOL_CRC(nvdimm_region_notify, 0x4d83e662, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xd187c789, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x40f6ac72, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x6b4c24c9, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0xb4909e6c, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xd3c1faa1, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xce6113fb, "");
SYMBOL_CRC(nd_device_unregister, 0xc1bcc9e2, "");
SYMBOL_CRC(__nd_driver_register, 0x4c1ea2cd, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x330f04eb, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x98862648, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x94e0dfbf, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xb370efc2, "_gpl");
SYMBOL_CRC(to_ndd, 0x036de415, "");
SYMBOL_CRC(nvdimm_name, 0x67123ce4, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x182bb643, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x41530307, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x3904ce04, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x92379fd8, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0xf074f6f5, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xb0288710, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x1b86f1e1, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x8ce53301, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x75103546, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0xbd7fc47e, "_gpl");
SYMBOL_CRC(to_nd_region, 0xf4bb2a27, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x5744f8f6, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x61866d8b, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x0bb6febd, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x239ac594, "");
SYMBOL_CRC(nd_region_release_lane, 0xd3ef5288, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x55bc4f03, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x517e7ffc, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xb19f5a88, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x0580d2d5, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0xd2afda4b, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0xe1533bf7, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x727a6df4, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x507b6426, "");
SYMBOL_CRC(pmem_sector_size, 0x82ab0634, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x3d8acf92, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x9bf5e4a7, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x8b83b066, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x282e0355, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x6486f783, "");
SYMBOL_CRC(devm_namespace_enable, 0x49fcaf65, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x0ad44d06, "_gpl");
SYMBOL_CRC(badrange_init, 0x5de95ea3, "_gpl");
SYMBOL_CRC(badrange_add, 0x25a02045, "_gpl");
SYMBOL_CRC(badrange_forget, 0xe618980d, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xa478262d, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x5101da97, "");
SYMBOL_CRC(is_nd_btt, 0xdf3d81ef, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xab429697, "");
SYMBOL_CRC(nd_btt_version, 0x157ee3d0, "");
SYMBOL_CRC(nd_btt_probe, 0x492a86a3, "");
SYMBOL_CRC(to_nd_pfn, 0x271c8945, "");
SYMBOL_CRC(is_nd_pfn, 0xb3df22b5, "");
SYMBOL_CRC(nd_pfn_validate, 0xf09a0c55, "");
SYMBOL_CRC(nd_pfn_probe, 0x256c3436, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0xf94de2fe, "_gpl");
SYMBOL_CRC(to_nd_dax, 0xb9a109ac, "");
SYMBOL_CRC(is_nd_dax, 0xb6f15ddb, "");
SYMBOL_CRC(nd_dax_probe, 0x06607c48, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xebb687b0, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc5339917, "ida_alloc_range" },
	{ 0x90956198, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x158a0961, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9b8e5f1b, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x45d4e7b, "devm_memremap" },
	{ 0xee744251, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb024ce89, "badblocks_set" },
	{ 0xa84a2627, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0xda6c148b, "finish_wait" },
	{ 0xbdb7f0fb, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xf183002, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xe0e2c986, "badblocks_exit" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x81ddc806, "device_for_each_child" },
	{ 0xe6bb4a03, "prepare_to_wait_event" },
	{ 0x8efb564b, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x1713dcca, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xaa7a6655, "__dynamic_dev_dbg" },
	{ 0xffe45d94, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8f5d25f, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa01e7749, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xd53f7065, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x5226ce90, "put_device" },
	{ 0x929a1b6a, "badblocks_show" },
	{ 0xe7d74b0, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x1c4be8af, "_dev_info" },
	{ 0x760ea40a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x1608292d, "compat_ptr_ioctl" },
	{ 0xd064b7f7, "perf_pmu_migrate_context" },
	{ 0xaea82af2, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6d2cfbf9, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x17d18610, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x6bf7730, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x939463f3, "__cpuhp_setup_state" },
	{ 0x2c6a0d09, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xfc351360, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xc5eae711, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x3f77b798, "class_create" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0xf098f601, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x17d65626, "ida_free" },
	{ 0x5b6811c3, "driver_unregister" },
	{ 0x4864fc8b, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x865208f8, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1765d06d, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x45010da1, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe81221b2, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0x6cc86cc3, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x2a1228cf, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x18a230b7, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x5f8d674b, "__devm_release_region" },
	{ 0x8589a2ee, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x2cdde7df, "kernfs_put" },
	{ 0x257ce018, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf9e89bd7, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xf3275140, "badblocks_check" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x8fc7b4c9, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x3ac5d8cd, "badblocks_clear" },
	{ 0xcdcc70e7, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x9688dafb, "up_read" },
	{ 0xb2566851, "driver_register" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0xa0872c55, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x15639337, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "21037FE1DF9D603C1555962");
MODULE_INFO(rhelversion, "9.6");
