#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x3365fc8e, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x314ae79b, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xa1cbf57c, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xa4cffb0a, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x1236cb26, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xc2e15d26, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x5f0bf76f, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x3a73b6e2, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x030811ab, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xce73e552, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x60a99638, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x925376eb, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x252e1f64, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x6877687b, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xe536f163, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x06dcf26b, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xb29a5692, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x8fdeb6d6, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x63216ad6, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0xa609438b, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xde3508bf, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xfb078220, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xfc0185f9, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x4b32d168, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x02310114, "_gpl");
SYMBOL_CRC(nvme_get_features, 0xa6400cd2, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xef4b068d, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xa4e62349, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x489d4bdf, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x32c4030c, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x7568db53, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0xfa8ff006, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x185b6ae0, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0xe3817969, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xafa72c80, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x9e5db89e, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x403f15db, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x337b5066, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xb061de60, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x1c402797, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xda25cfda, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xae7c2b26, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x77f32c4c, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x40d7906b, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xb6f2bce0, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xccab81c8, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x3a35dec8, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x8ce4bf20, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xc5113f0f, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x6903a1f4, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xb1c7cbdd, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xba59d054, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xe2d54113, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x49889e91, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0xefc863d2, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x0e744262, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0xe5fe69ce, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xe3481972, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x30bcda94, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0xfabc922b, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x9e835540, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x82bb80c6, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x42ddc12a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8700972a, "set_capacity_and_notify" },
	{ 0x602d8bb4, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xebb687b0, "set_disk_ro" },
	{ 0x7f13649c, "__blk_alloc_disk" },
	{ 0xc5339917, "ida_alloc_range" },
	{ 0x90956198, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb8a29c5a, "bio_integrity_map_user" },
	{ 0x158a0961, "ida_destroy" },
	{ 0x75b466c5, "device_remove_file_self" },
	{ 0x6cd0d697, "param_ops_uint" },
	{ 0x59be0e05, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xee744251, "dev_set_name" },
	{ 0x83892b62, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xaaee3237, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xe50b7dc9, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x141ef5ca, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb396b306, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3d25ff60, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0xda6c148b, "finish_wait" },
	{ 0xcdf70602, "queue_limits_stack_bdev" },
	{ 0x9e2cbdce, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xf183002, "device_initialize" },
	{ 0xab242bb2, "blk_mq_unquiesce_queue" },
	{ 0x6b439a11, "blk_mq_quiesce_queue" },
	{ 0x6ebc3365, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8f40afb, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1a23434a, "bpf_trace_run2" },
	{ 0xe6bb4a03, "prepare_to_wait_event" },
	{ 0xeba2e2d4, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x8efb564b, "__wake_up" },
	{ 0x69831ee6, "event_triggers_call" },
	{ 0x592ed4bc, "synchronize_srcu" },
	{ 0xac61cf2c, "param_ops_byte" },
	{ 0x8e0aeed3, "kmem_cache_create" },
	{ 0x1713dcca, "get_device" },
	{ 0xb8477bd2, "blk_mq_end_request" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x15a2154e, "__blk_mq_alloc_disk" },
	{ 0xaa7a6655, "__dynamic_dev_dbg" },
	{ 0x88962636, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x48736e34, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe76497f0, "blk_mq_alloc_tag_set" },
	{ 0xeb0afacc, "blk_rq_is_poll" },
	{ 0x467a4e30, "trace_event_buffer_commit" },
	{ 0x89c6146c, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xdcacc3dd, "mempool_create" },
	{ 0x4f872750, "put_disk" },
	{ 0x519994f1, "crypto_alloc_kpp" },
	{ 0xbbb10d09, "cdev_device_add" },
	{ 0xe181d1ba, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xcf3a0de7, "blk_execute_rq" },
	{ 0x5226ce90, "put_device" },
	{ 0x33173e1a, "trace_event_ignore_this_pid" },
	{ 0x303ccc9b, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0xe2855cc, "kmalloc_node_trace" },
	{ 0x72544219, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x5912bb95, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0x3055e348, "__free_pages" },
	{ 0x1c4be8af, "_dev_info" },
	{ 0x4e9856ed, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x760ea40a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4fd02a29, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xba482884, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x1608292d, "compat_ptr_ioctl" },
	{ 0x5eda14eb, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x97060cc, "blk_mq_quiesce_tagset" },
	{ 0x6d2cfbf9, "key_put" },
	{ 0x768eade8, "kobject_uevent_env" },
	{ 0xed1cc03f, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7bfa3d4a, "init_srcu_struct" },
	{ 0x5d31c199, "perf_trace_run_bpf_submit" },
	{ 0x6085a012, "__SCK__tp_func_block_bio_remap" },
	{ 0x6bf7730, "_dev_err" },
	{ 0xc5f3984e, "blk_revalidate_disk_zones" },
	{ 0x462c30cb, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfc351360, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xbf378adc, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x1153dcb6, "sysfs_remove_link" },
	{ 0xf974605, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa4b3a58c, "__srcu_read_lock" },
	{ 0x8a9d9732, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xf2e67a5c, "submit_bio_noacct" },
	{ 0xece03ca7, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0x619ce740, "blk_sync_queue" },
	{ 0xd2fe19e2, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x480153c4, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x9b01f29b, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xfeed634f, "blk_mq_alloc_request_hctx" },
	{  0x3c5cc, "__io_uring_cmd_do_in_task" },
	{ 0x380dd44b, "blk_mq_alloc_request" },
	{ 0x17d65626, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x374268e, "crypto_shash_update" },
	{ 0xb58c717a, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x27142147, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x92278c0f, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xad63920d, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x36914c10, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x8f9eb676, "blk_put_queue" },
	{ 0xfe92435c, "bpf_trace_run1" },
	{ 0x5eb60c14, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x45010da1, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x82e43050, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xe81221b2, "__init_waitqueue_head" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0x7d8c29e7, "io_uring_cmd_done" },
	{ 0xa6297e1c, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x48b54426, "xa_erase" },
	{ 0xa48eb383, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x29514ca1, "blk_mq_complete_request" },
	{ 0x811ec436, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x766a8afd, "trace_event_buffer_reserve" },
	{ 0x6437bc9e, "crypto_shash_final" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x18a230b7, "param_ops_bool" },
	{ 0xb38cfb3, "blk_mq_destroy_queue" },
	{ 0xd091cc17, "xa_destroy" },
	{ 0x53d2ada6, "blk_freeze_queue_start" },
	{ 0x9c43ed08, "dev_pm_qos_hide_latency_tolerance" },
	{ 0xf029d9d9, "xa_find" },
	{ 0x3e3ca118, "alloc_pages" },
	{ 0x25cb4451, "mempool_destroy" },
	{ 0x5925868f, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc74ed73a, "__tracepoint_block_bio_complete" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x3e682a21, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8cb8dbfd, "__srcu_read_unlock" },
	{ 0x206ec7d0, "__tracepoint_block_bio_remap" },
	{ 0x5cc3ca49, "blk_mq_unfreeze_queue" },
	{ 0xd3c3b167, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x9e52185d, "queue_limits_commit_update" },
	{ 0x90db1377, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2e2e047e, "blk_rq_map_user_iov" },
	{ 0x15af2dc0, "xa_find_after" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0xfa5738ec, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xec149dee, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x122ccd07, "crypto_alloc_shash" },
	{ 0xfc5fb3bf, "blk_mq_freeze_queue_wait" },
	{ 0x3e97b7a4, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xdc38ab5d, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0x8a22768d, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xde2bebe, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8d59f7bb, "bdev_end_io_acct" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x41ae2f84, "blk_steal_bios" },
	{ 0xf24ddcdc, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "2BA69199F63A00110B3BD1F");
MODULE_INFO(rhelversion, "9.6");
