#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0xb9db5552, "");
SYMBOL_CRC(wpan_phy_for_each, 0xe2b0ef8f, "");
SYMBOL_CRC(wpan_phy_new, 0x7d2952bc, "");
SYMBOL_CRC(wpan_phy_register, 0xdd888d96, "");
SYMBOL_CRC(wpan_phy_unregister, 0xf2a669aa, "");
SYMBOL_CRC(wpan_phy_free, 0x7518d10e, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xd4984541, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xa31c04e3, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x78deda91, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0xa72afd13, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x414249fe, "bpf_trace_run4" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xee744251, "dev_set_name" },
	{ 0x3570abb9, "trace_output_call" },
	{ 0x141ef5ca, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xda6c148b, "finish_wait" },
	{ 0x9e2cbdce, "trace_event_printf" },
	{ 0xf183002, "device_initialize" },
	{ 0xc2af95ad, "genlmsg_put" },
	{ 0x6ebc3365, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1a23434a, "bpf_trace_run2" },
	{ 0xe6bb4a03, "prepare_to_wait_event" },
	{ 0x69831ee6, "event_triggers_call" },
	{ 0x8efb564b, "__wake_up" },
	{ 0x1713dcca, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7f07d9b4, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x72cd94d9, "device_rename" },
	{ 0x467a4e30, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5226ce90, "put_device" },
	{ 0x33173e1a, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0xdbb5c496, "__alloc_skb" },
	{ 0x6777e956, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc2f3210a, "__dev_get_by_index" },
	{ 0x5d31c199, "perf_trace_run_bpf_submit" },
	{ 0x604aab86, "init_net" },
	{ 0x2815b46c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfc351360, "device_add" },
	{ 0x17e70d6b, "sk_skb_reason_drop" },
	{ 0x895b4984, "netlink_unicast" },
	{ 0x26c14207, "dev_get_by_index" },
	{ 0x18f44fbf, "skb_push" },
	{ 0xf00a075f, "nla_put" },
	{ 0x9b01f29b, "trace_event_reg" },
	{ 0xb58c717a, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3582067a, "unregister_pernet_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfe92435c, "bpf_trace_run1" },
	{ 0x5eb60c14, "device_del" },
	{ 0x5b81068c, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe81221b2, "__init_waitqueue_head" },
	{ 0x5409b695, "__pskb_pull_tail" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0x19829ab5, "skb_trim" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa48eb383, "bpf_trace_run3" },
	{ 0x22964125, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5d9d6d38, "get_net_ns_by_pid" },
	{ 0x766a8afd, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd00da475, "device_match_name" },
	{ 0x20f7850e, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x77e961fe, "genl_unregister_family" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x6a95fe58, "genl_register_family" },
	{ 0xf492aa91, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x12bcedae, "register_pernet_device" },
	{ 0x99291232, "get_net_ns_by_fd" },
	{ 0x8a22768d, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0x23d9601d, "class_find_device" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "190F46991CF0176DC413D95");
MODULE_INFO(rhelversion, "9.6");
