#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(esp6_output_head, "_gpl", "");
KSYMTAB_FUNC(esp6_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp6_input_done2, "_gpl", "");

SYMBOL_CRC(esp6_output_head, 0xeb0ffd40, "_gpl");
SYMBOL_CRC(esp6_output_tail, 0xb2f8a493, "_gpl");
SYMBOL_CRC(esp6_input_done2, 0x4245a786, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x37a0cba, "kfree" },
	{ 0xdb2f62f3, "crypto_aead_setauthsize" },
	{ 0xeb828983, "crypto_aead_setkey" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3e1b8926, "xfrm_state_lookup" },
	{ 0x3b1377ea, "make_kuid" },
	{ 0x919d1fb5, "ip6_update_pmtu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xacd56b3f, "ip6_redirect" },
	{ 0x8868159d, "__xfrm_state_destroy" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe8143b4e, "napi_pp_put_page" },
	{ 0xd3297055, "__put_devmap_managed_page_refs" },
	{ 0x27453a11, "__folio_put" },
	{ 0x69773c26, "sk_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc16ab57b, "skb_to_sgvec" },
	{ 0xfb578fc5, "memset" },
	{ 0x6cea6597, "crypto_aead_encrypt" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0xdab1f32e, "skb_page_frag_refill" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0xa18198c8, "xfrm_trans_queue_net" },
	{ 0xf1cec18f, "skb_copy_bits" },
	{ 0xe5f30207, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x49318eb5, "ipv6_skip_exthdr" },
	{ 0xc549df6e, "km_new_mapping" },
	{ 0x6409ac80, "skb_pull_rcsum" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb9b766da, "xfrm_input_resume" },
	{ 0x599328db, "skb_cow_data" },
	{ 0x7f7dcb96, "crypto_aead_decrypt" },
	{ 0x18f44fbf, "skb_push" },
	{ 0x5409b695, "__pskb_pull_tail" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x27c8b85c, "__inet6_lookup_established" },
	{ 0x8552f92e, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbb76b8b8, "espintcp_push_skb" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8bb75e10, "espintcp_queue_out" },
	{ 0x52d315a2, "pskb_put" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe26b4b17, "xfrm_state_mtu" },
	{ 0xe31b0217, "xfrm_dev_resume" },
	{ 0x2be4d3d2, "xfrm_output_resume" },
	{ 0x453fb4ed, "__skb_ext_del" },
	{ 0x17e70d6b, "sk_skb_reason_drop" },
	{ 0xcb24a21e, "xfrm6_rcv" },
	{ 0x8c59f64f, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x43a2fb96, "skb_checksum" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xbcd2afd2, "xfrm_register_type" },
	{ 0x92997ed8, "_printk" },
	{ 0xb008e08, "xfrm6_protocol_register" },
	{ 0x4fbb39bb, "xfrm_unregister_type" },
	{ 0x89c6146c, "crypto_destroy_tfm" },
	{ 0xeb85231, "xfrm6_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2c5b7728, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "C2EA4915414A75E8E73E17F");
MODULE_INFO(rhelversion, "9.6");
