#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x8498d0de, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xbf40fa33, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x14b256ac, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xfc5b15ed, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x531a2229, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x853512dd, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xc8cf3a3a, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xdbdd72ba, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x989dd861, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x214a0817, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xead6a852, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x969729b3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef4e173c, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x604aab86, "init_net" },
	{ 0x4d6f3ed0, "alloc_netdev_mqs" },
	{ 0x552222f4, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x3d559c02, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x82f70aa4, "rtnl_link_unregister" },
	{ 0x877f7214, "ip6_local_out" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x8120c2f4, "gro_cells_init" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5409b695, "__pskb_pull_tail" },
	{ 0x46979960, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x539f1a36, "netdev_state_change" },
	{ 0x8abf245c, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x62b7ef59, "dst_cache_get" },
	{ 0x8ee459eb, "ip6_route_output_flags" },
	{ 0xcca5fe, "xfrm_lookup" },
	{ 0xca4f9f78, "ipv4_mtu" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xaa2a29ed, "skb_scrub_packet" },
	{ 0xcaa445bc, "skb_realloc_headroom" },
	{ 0x652c06f5, "skb_set_owner_w" },
	{ 0xfe8480, "consume_skb" },
	{ 0x2ff0e84d, "ipv6_push_frag_opts" },
	{ 0x18f44fbf, "skb_push" },
	{ 0xb59ffc24, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf1cec18f, "skb_copy_bits" },
	{ 0xaa4ffeb2, "ip6_dst_hoplimit" },
	{ 0x1fea828, "ipv6_dev_get_saddr" },
	{ 0x6a6755ae, "neigh_destroy" },
	{ 0x3b1377ea, "make_kuid" },
	{ 0xacd56b3f, "ip6_redirect" },
	{ 0x919d1fb5, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4a3cd03d, "iptunnel_handle_offloads" },
	{ 0xcee80cda, "icmpv6_ndo_send" },
	{ 0x21c0d247, "icmp_ndo_send" },
	{ 0x17e70d6b, "sk_skb_reason_drop" },
	{ 0xf8bd4b9, "skb_clone" },
	{ 0x2815b46c, "skb_pull" },
	{ 0x392b9070, "__icmpv6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xb8f387e1, "gro_cells_receive" },
	{ 0xcc2a5652, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7c2b5a37, "__iptunnel_pull_header" },
	{ 0x8c03ebe7, "metadata_dst_alloc" },
	{ 0xebc9d580, "__xfrm_policy_check" },
	{ 0x7cd0cbaf, "ip_route_output_flow" },
	{ 0x77d9c43e, "ip_route_input_noref" },
	{ 0x3aaf4758, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfafe0ba4, "dev_get_tstats64" },
	{ 0x18a230b7, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1b275ad0, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xa5a8883c, "ipv6_chk_addr_and_flags" },
	{ 0xb072fc8d, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x12bcedae, "register_pernet_device" },
	{ 0x8a97c833, "xfrm6_tunnel_register" },
	{ 0xb320d33b, "rtnl_link_register" },
	{ 0xafe32d3f, "xfrm6_tunnel_deregister" },
	{ 0x3582067a, "unregister_pernet_device" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1cf52c1b, "unregister_netdevice_queue" },
	{ 0x16ea5434, "rt6_lookup" },
	{ 0x39e85300, "dst_release" },
	{ 0xc2f3210a, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "AF4D10EDB179C97C7FC606E");
MODULE_INFO(rhelversion, "9.6");
