#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xe480fc11, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0xbe53968a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x4c591501, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xef02e5c8, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x1ba40e87, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xec263b9e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0xe991122a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0xd2898406, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x65e888ec, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x579ec04f, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x96984070, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x033d5574, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x77ea5d51, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xfc4b8903, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x4451811e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xefe41fe4, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x882f2260, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x7c33bf8d, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x14e1c31f, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xc301cc43, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x7371a1ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5d31c199, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x766a8afd, "trace_event_buffer_reserve" },
	{ 0x467a4e30, "trace_event_buffer_commit" },
	{ 0x69831ee6, "event_triggers_call" },
	{ 0x33173e1a, "trace_event_ignore_this_pid" },
	{ 0x141ef5ca, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x9e2cbdce, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfe92435c, "bpf_trace_run1" },
	{ 0x1a23434a, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0x3acce145, "udp_sock_create6" },
	{ 0xad177a52, "kernel_sock_shutdown" },
	{ 0x8cda3428, "sock_release" },
	{ 0x1103f5fa, "sock_create_kern" },
	{ 0x6098593b, "kernel_bind" },
	{ 0xc10110ee, "kernel_connect" },
	{ 0x90245d52, "udp_sock_create4" },
	{ 0x12bcedae, "register_pernet_device" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x3582067a, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0x24ca6c51, "idr_remove" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcc592d65, "idr_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8282a967, "idr_get_next_ul" },
	{ 0xab3ea306, "rt_write_lock" },
	{ 0x402fb4cf, "rt_write_unlock" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x17e70d6b, "sk_skb_reason_drop" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x69773c26, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x346602e6, "skb_dequeue" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x268bb449, "skb_queue_tail" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb2b70e0, "rt_read_lock" },
	{ 0x57d1c3de, "rt_read_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe1a669a6, "ip_queue_xmit" },
	{ 0x1931ac47, "pskb_expand_head" },
	{ 0xb94ada57, "udp_set_csum" },
	{ 0xf3453783, "inet6_csk_xmit" },
	{ 0xb8589231, "udp6_set_csum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x39e85300, "dst_release" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x7523d4db, "idr_destroy" },
	{ 0x2a1f0c5c, "idr_alloc_u32" },
	{ 0x73103f37, "sockfd_lookup" },
	{ 0xb28224e6, "lock_sock_nested" },
	{ 0x38ea5a88, "release_sock" },
	{ 0xe288ffc9, "idr_replace" },
	{ 0x96c07dcd, "fput" },
	{ 0x280409e8, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5409b695, "__pskb_pull_tail" },
	{ 0x9b01f29b, "trace_event_reg" },
	{ 0x6ebc3365, "trace_event_raw_init" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel,ipv6");


MODULE_INFO(srcversion, "AD5370426481A2B1381957D");
MODULE_INFO(rhelversion, "9.6");
