#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_wake_queue, "", "");
KSYMTAB_FUNC(ieee802154_stop_queue, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0xcb7417aa, "");
SYMBOL_CRC(ieee802154_free_hw, 0x34f3e5e5, "");
SYMBOL_CRC(ieee802154_register_hw, 0x7aed37ee, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0xd5157938, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x44095390, "");
SYMBOL_CRC(ieee802154_wake_queue, 0x01223e15, "");
SYMBOL_CRC(ieee802154_stop_queue, 0x3000e6e9, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x801c86b0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x47b85f28, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x414249fe, "bpf_trace_run4" },
	{ 0xe5f29377, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfe8480, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x141ef5ca, "trace_raw_output_prep" },
	{ 0x346602e6, "skb_dequeue" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0x9e2cbdce, "trace_event_printf" },
	{ 0xa8e22cfc, "hrtimer_init" },
	{ 0xaa2991cd, "dev_alloc_name" },
	{ 0x6ebc3365, "trace_event_raw_init" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2c5b7728, "crypto_alloc_aead" },
	{ 0x1a23434a, "bpf_trace_run2" },
	{ 0x3ea00ca3, "netdev_warn" },
	{ 0xdb2f62f3, "crypto_aead_setauthsize" },
	{ 0x7f7dcb96, "crypto_aead_decrypt" },
	{ 0x69831ee6, "event_triggers_call" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x307c94, "crypto_skcipher_setkey" },
	{ 0x1cf52c1b, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x78deda91, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf2a669aa, "wpan_phy_unregister" },
	{ 0x467a4e30, "trace_event_buffer_commit" },
	{ 0x89c6146c, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4d6f3ed0, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x33173e1a, "trace_event_ignore_this_pid" },
	{ 0xee088f23, "crypto_skcipher_decrypt" },
	{ 0x402fb4cf, "rt_write_unlock" },
	{ 0xd50655e9, "skb_copy_expand" },
	{ 0x268bb449, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xeb828983, "crypto_aead_setkey" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5d31c199, "perf_trace_run_bpf_submit" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xdd888d96, "wpan_phy_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6cea6597, "crypto_aead_encrypt" },
	{ 0x17e70d6b, "sk_skb_reason_drop" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0x18f44fbf, "skb_push" },
	{ 0xa72afd13, "ieee802154_hdr_peek" },
	{ 0x7518d10e, "wpan_phy_free" },
	{ 0x9001faa6, "netif_receive_skb" },
	{ 0x9b01f29b, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3d559c02, "free_netdev" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe92435c, "bpf_trace_run1" },
	{ 0x94263c88, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x45010da1, "_dev_warn" },
	{ 0x7d0cd3db, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa31c04e3, "ieee802154_hdr_pull" },
	{ 0x92933562, "crypto_alloc_sync_skcipher" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0x19829ab5, "skb_trim" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x96de8cd, "__dynamic_netdev_dbg" },
	{ 0xa48eb383, "bpf_trace_run3" },
	{ 0xb2b70e0, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x766a8afd, "trace_event_buffer_reserve" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0x57d1c3de, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7d2952bc, "wpan_phy_new" },
	{ 0xf8bd4b9, "skb_clone" },
	{ 0xab3ea306, "rt_write_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2889b6e5, "hrtimer_cancel" },
	{ 0xd4984541, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x25f8f273, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9d66729f, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x46979960, "register_netdevice" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "140396463CF883F90E7FB4B");
MODULE_INFO(rhelversion, "9.6");
