#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x89b10ba9, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xed49792d, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x2bd77b4f, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x3a7449eb, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xddeb00e3, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xbc014fc7, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xb8bf12db, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xa2e9baea, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x8cf70a23, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x7bc14127, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x97894055, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x6cd6f17d, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xa827f965, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x8618b3a1, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x19781425, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x2208ded6, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x630cd89d, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x050f021c, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x99baa579, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xc6fd26d6, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x9efe7a91, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xcbe7d9bc, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x806f003f, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x8e7d9dcd, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x6e44b64c, "_gpl");
SYMBOL_CRC(print_tuple, 0x2960f201, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xd2d3acb6, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xa269bdc4, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x2d9be83d, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x944bb549, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xca5dc376, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x70899551, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xdc70370c, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xa1f3796a, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x33605cd2, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xe84d74fc, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x821c00d6, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0xe5080b45, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x04b737bb, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x2882f94e, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x8a50360c, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0xa4601c2d, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x26df887e, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x33e1e16a, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xd7c35260, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0xc522d867, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xee26faf2, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0xf9caf49a, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x2186d4d2, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x0c5fdf40, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x8dc3b642, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x5cf2718b, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x3341b2da, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x8d02e0a1, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x9df52a3c, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x430979a7, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0xb703b615, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0xe7098c27, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x0e787bd2, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x6e7b0ca0, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xe55f327c, "_gpl");
SYMBOL_CRC(nf_confirm, 0x5036f5b8, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x279da2e5, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x06e506c6, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xa691d765, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x784f3cc2, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xe4f42fbd, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xde1b96ee, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0xc5c9a073, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x0007eb17, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xd58eeeac, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x34361bd7, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x4ba50894, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x7c9dcbe1, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x0019681e, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x80fcaeea, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xb4cb87ff, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x87114b59, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x7897d54e, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x04c63fb4, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x742e7e0d, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x7e3a284e, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0xc1be6d36, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x7e27d422, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0xd95c38b4, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xff1f9d17, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xcf675be3, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x3f696751, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x3be395e1, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x4587ce41, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x613c067b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb3d828f5, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x90956198, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xa1c1e663, "nf_defrag_ipv4_disable" },
	{ 0x2386e188, "nf_ip6_checksum" },
	{ 0x7c6b5f, "proc_dou8vec_minmax" },
	{ 0xf1cec18f, "skb_copy_bits" },
	{ 0x6cd0d697, "param_ops_uint" },
	{ 0x113204cb, "proc_dointvec_jiffies" },
	{ 0x21d11b7f, "register_net_sysctl" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9fc1369e, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xcab64c00, "rt_mutex_base_init" },
	{ 0x5213b320, "nfct_btf_struct_access" },
	{ 0xfe4a732f, "param_set_uint" },
	{ 0x84a996a, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfb55dd5, "nf_ct_frag6_gather" },
	{ 0xbe8b7925, "get_net_ns_by_id" },
	{ 0xfbaf12e5, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8e0aeed3, "kmem_cache_create" },
	{ 0xb08ff1ee, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2b2bbca9, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xf32bc30d, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xe85f178, "nf_unregister_sockopt" },
	{ 0xc82ac97b, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x3b1377ea, "make_kuid" },
	{ 0x3e20379f, "nf_defrag_ipv6_disable" },
	{ 0x49318eb5, "ipv6_skip_exthdr" },
	{ 0xd8fdcc60, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xf962aecb, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x760ea40a, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xdaa94bb3, "nf_checksum" },
	{ 0x3dbbaf03, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x604aab86, "init_net" },
	{ 0x5e0915cb, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17e70d6b, "sk_skb_reason_drop" },
	{ 0x1b5826e6, "mutex_lock" },
	{ 0xa66a5648, "kmem_cache_free" },
	{ 0xfccbd8fd, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0x868fa589, "nf_checksum_partial" },
	{ 0xd6be6b0, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x63ff709, "nf_unregister_net_hooks" },
	{ 0xb28224e6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xd41528d9, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xa84a745, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x698c941e, "nf_log_packet" },
	{ 0x52f810ce, "make_kgid" },
	{ 0x768cdf8f, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x324b9e0, "rt_spin_unlock" },
	{ 0x70018c2c, "register_btf_kfunc_id_set" },
	{ 0x7716a200, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6cc86cc3, "down_read" },
	{ 0xa5367eff, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0x22964125, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb4077e67, "__skb_checksum" },
	{ 0x9e9c7126, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xba852bc4, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x18a230b7, "param_ops_bool" },
	{ 0x338c72a3, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6bdb0844, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x229b6c1b, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd238dbd7, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xb08fd57b, "proc_dointvec" },
	{ 0x89fd960, "seq_puts" },
	{ 0x9aaaec1b, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xc2689387, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x35544e9a, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x73769a18, "pskb_trim_rcsum_slow" },
	{ 0x9688dafb, "up_read" },
	{ 0x71c74049, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf24ddcdc, "kmem_cache_destroy" },
	{ 0x38ea5a88, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "711B16A0039BE820C39888A");
MODULE_INFO(rhelversion, "9.6");
