#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gss_krb5_lookup_enctype, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(gss_krb5_checksum, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_cbc_cts_encrypt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_cbc_cts_decrypt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_etm_checksum, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_nfold, "", "EXPORTED_FOR_KUNIT_TESTING");

SYMBOL_CRC(gss_krb5_lookup_enctype, 0x530a6dbe, "");
SYMBOL_CRC(gss_krb5_checksum, 0x5c125d73, "");
SYMBOL_CRC(krb5_cbc_cts_encrypt, 0x9a1edcf7, "");
SYMBOL_CRC(krb5_cbc_cts_decrypt, 0x41b8a1cb, "");
SYMBOL_CRC(krb5_etm_checksum, 0xdd353e7e, "");
SYMBOL_CRC(krb5_nfold, 0x3c849d4f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x47b85f28, "crypto_skcipher_encrypt" },
	{ 0xd171ba11, "crypto_alloc_ahash" },
	{ 0xd8871b68, "xdr_buf_trim" },
	{ 0xb0e602eb, "memmove" },
	{ 0xe03fc82d, "xdr_process_buf" },
	{ 0x71ad7dda, "read_bytes_from_xdr_buf" },
	{ 0xfaf45f08, "crypto_ahash_setkey" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x307c94, "crypto_skcipher_setkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xcb91d321, "gss_mech_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x89c6146c, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee088f23, "crypto_skcipher_decrypt" },
	{ 0x462c30cb, "crypto_shash_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x374268e, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfb578fc5, "memset" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68ffee9f, "xdr_buf_subsegment" },
	{ 0x92933562, "crypto_alloc_sync_skcipher" },
	{ 0xec751739, "crypto_ahash_final" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6437bc9e, "crypto_shash_final" },
	{ 0xb49f8935, "gss_mech_register" },
	{ 0xf54bd49b, "lcm" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb3e98ca0, "kmalloc_trace" },
	{ 0xc10ec4e2, "write_bytes_to_xdr_buf" },
	{ 0x122ccd07, "crypto_alloc_shash" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8cf7ad53, "kmalloc_caches" },
	{ 0x17669737, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,auth_rpcgss");


MODULE_INFO(srcversion, "7821F90262CC4AC5E9419FB");
MODULE_INFO(rhelversion, "9.6");
